Index: TibisayMovil/.classpath
===================================================================
--- TibisayMovil/.classpath	(revision e68708b200db1b970f54b28dccea6c4cc20e8c85)
+++ TibisayMovil/.classpath	(revision 0d4fa206af09c06414922191a770ca027a9e7a4f)
@@ -1,31 +1,29 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con" path="com.android.ide.eclipse.adt.ANDROID_FRAMEWORK"/>
-	<classpathentry exported="true" kind="con" path="com.android.ide.eclipse.adt.LIBRARIES"/>
-	<classpathentry exported="true" kind="con" path="com.android.ide.eclipse.adt.DEPENDENCIES"/>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="src" path="gen"/>
-	<classpathentry combineaccessrules="false" exported="true" kind="src" path="/droidText"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/bcmail-jdk15on-147.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/bcpg-jdk15on-147.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/bcpkix-jdk15on-147.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/bcprov-jdk15on-147.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/commons-compress-1.3.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/commons-codec-1.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/iaikPkcs11Wrapper.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/jdcerts.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/slf4j-api-1.7.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/slf4j-log4j12-1.7.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/jdigidoc/target/jdigidoc-3.7.0.459.jar"/>
-	<classpathentry exported="true" kind="lib" path="/usr/java/jdk1.7.0_21/jre/lib/security/local_policy.jar"/>
-	<classpathentry exported="true" kind="lib" path="/usr/java/jdk1.7.0_21/jre/lib/security/US_export_policy.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jersey-client-1.12.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jersey-core-1.12.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jersey-json-1.12.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jersey-multipart-1.12.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jettison-1.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/sc-light-jdk15on-1.47.0.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/scpkix-jdk15on-1.47.0.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/scprov-jdk15on-1.47.0.2.jar"/>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.ANDROID_FRAMEWORK"/>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.LIBRARIES"/>
+	<classpathentry kind="lib" path="/usr/lib/jvm/java-6-sun-1.6.0.26/jre/lib/security/local_policy.jar"/>
+	<classpathentry kind="lib" path="/usr/lib/jvm/java-6-sun-1.6.0.26/jre/lib/security/US_export_policy.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/sc-light-jdk15on-1.47.0.2.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jersey-core-1.12.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jettison-1.1.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jersey-multipart-1.12.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jersey-client-1.12.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/scprov-jdk15on-1.47.0.2.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/scpkix-jdk15on-1.47.0.2.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jdigidoc-3.7.0.459.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/slf4j-log4j12-1.7.1.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/slf4j-api-1.7.1.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/bcpg-jdk15on-147.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jdcerts.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/iaikPkcs11Wrapper.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/commons-codec-1.6.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/commons-compress-1.3.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/bcprov-jdk15on-147.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/bcpkix-jdk15on-147.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/bcmail-jdk15on-147.jar"/>
+	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/android-support-v4.jar"/>
 	<classpathentry kind="output" path="bin/classes"/>
 </classpath>