Index: TibisayMovil/res/values/strings.xml
===================================================================
--- TibisayMovil/res/values/strings.xml	(revision e68708b200db1b970f54b28dccea6c4cc20e8c85)
+++ TibisayMovil/res/values/strings.xml	(revision 2ff9cecf77319e9047db41bbba9d55aa15e8ecc6)
@@ -39,6 +39,6 @@
     <string name="error_unknown">Error: se ha producido un error desconocido</string>
     <string name="error_empty_or_null_certificates">Almacén de certificados vacío o inexistente. Por favor, retroceda e instale un certificado en un almacén.</string>
-    <string name="no_access_to_keystore">Sin acceso al repositorio de certificados.</string>
-    <string name="error_keystore_file">No existe ningún almacén de certificados. Por favor, retroceda y cree uno.</string>
+	<string name="no_access_to_keystore">Sin acceso al repositorio de certificados.</string>
+	<string name="error_keystore_file">No existe ningún almacén de certificados. Por favor, retroceda y cree uno.</string>
     <string name="certificate_data">Información del certificado</string>
     <string name="pdf_embed_signature">Incrustar firma en el PDF</string>
@@ -52,4 +52,9 @@
     <string name="issuer">Emisor</string>
     <string name="files_to_sign">Documentos que firmará</string>
+    <string name="errorformat">Error: Formato de imagen no aceptado</string>
+    <string name="errorsize">Error: Archivo demasiado extenso. Mayor a</string>
+    <string name="errordimension">Error: Imagen mayor a</string>
+    <string name="preference_image_summary">Selecciona una imagen de firma</string>
+    
     <string name="ERROR_CHAIN_RESULT">No se pudo construir la cadena de confianza del certificado.</string>
     <string name="GOOD_UNTRUSTED_RESULT">No se pudo comprobar la validez del certificado. Respuesta del servidor errónea.</string>
@@ -58,4 +63,6 @@
     <string name="EXPIRED">Certificado expirado.</string>
     <string name="NOTYETVALID">Certificado no válido aún.</string>
+    
+    
     <string name="unsigned2">Existieron problemas al firmar los archivos:</string>
     <string name="signedfiles">Documentos firmados:</string>
@@ -67,7 +74,7 @@
     <string name="share">Enviar</string>
     <string name="errornoemail">Aplicación de correo no encontrada</string>
-    <string name="errorServerNotReachable">Servidor no disponible</string>
-    <string name="errorConnection">La conexión al servidor ha fallado</string>
-
+   <string name="errorServerNotReachable">Servidor no disponible</string>
+   <string name="errorConnection">La conexión al servidor ha fallado</string>
+    
     <!-- Visible plurals -->
     <plurals name="number_imported_certificates">
@@ -117,5 +124,4 @@
     <string name="verificar_titulo_firmae">Firma electrónica:</string>
     <string name="verificar_titulo_lista_docs">Documento (s) firmado (s):</string>
-    <string name="verificar_titulo_lista_doc">Documento firmado:</string>
     <string name="verificar_titulo_lista_firmantes">Firmante (s):</string>
     <string name="title_activity_bdocverify_result">Tibisay Móvil</string>
@@ -161,22 +167,16 @@
     <string name="encrypted_dir_files">EncryptedFiles</string>
     <string name="title_activity_encryption_result">EncryptionResultActivity</string>
+    
     <string name="label_archivo_a_cifrar">Archivo original</string>
+    
     <string name="label_archivo_cifrado">Archivo cifrado</string>
+    
     <string name="label_destinatario_cifrado">Destinatario</string>
+    
     <string name="msg_encryption_success">Archivo cifrado exitosamente</string>
     <string name="msg_encryption_error">Error:</string>
-    <string name="share_encrypted">Archivo Cifrado</string>
-    <string name="title_activity_file_to_decrypt">FileToDecryptActivity</string>
-    <string name="decrypt_description">Seleccione el archivo a descifrar</string>
-    <string name="title_activity_pkcs12_to_decrypt">Tibisay Móvil</string>
-    <string name="pkcs12_to_decrypt_description">Seleccione el archivo .p12 que protege su clave</string>
-    <string name="decrypted_dir_files">DecryptedFiles</string>
-    <string name="title_pkcs12_password">Introduzca la contraseña:</string>
-    <string name="error_decrypting_file_index_out_of_bounds">La clave privada no coincide con el certificado destinatario.</string>
-    <string name="title_activity_decrypt_result">DecryptResultActivity</string>
-    <string name="title_activity_decryption_result">DecryptionResultActivity</string>
-    <string name="label_archivo_a_descifrar">Archivo a descifrar</string>
-    <string name="label_archivo_descifrado">Archivo original</string>
-    <string name="title_activity_pdfverify_result">PDFVerifyResultActivity</string>
-
+    
+	<string name="share_encrypted">Archivo Cifrado</string>
+    
+    
 </resources>