Index: .gitignore
===================================================================
--- .gitignore	(revision 288126d7faf1d05b5222029383542ccbbb4d4a26)
+++ .gitignore	(revision 3fe55cf536b031bec5296132865e1638a0d99301)
@@ -1,2 +1,3 @@
 /TibisayMovil/bin/dexedLibs/android-support-v4-7f286c6205fe1d816acec149faffc095.jar
 /TibisayMovil/bin/dexedLibs/annotations-b63630e84f657c479a7724e1cda86d8c.jar
+/TibisayMovil/bin/*
Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/CertificateRepositoryActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/CertificateRepositoryActivity.java	(revision 288126d7faf1d05b5222029383542ccbbb4d4a26)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/CertificateRepositoryActivity.java	(revision 3fe55cf536b031bec5296132865e1638a0d99301)
@@ -10,10 +10,7 @@
 import android.graphics.drawable.Drawable;
 import android.os.Bundle;
-<<<<<<< HEAD
 import android.util.SparseBooleanArray;
 import android.view.LayoutInflater;
-=======
 import android.util.Log;
->>>>>>> c2318907ec781e759fbf9e1a0e0d0eb01a54dd36
 import android.view.View;
 import android.view.ViewGroup;
@@ -56,5 +53,4 @@
 	}
 	
-<<<<<<< HEAD
 	//prepara el llavero
 	private void prepareKeyChain() {
@@ -76,5 +72,4 @@
 	
 	
-=======
 	//On click listener for button1
     final OnClickListener mGlobal_OnClickListener = new OnClickListener() {
@@ -98,4 +93,8 @@
     protected void onActivityResult(int requestCode, int resultCode,
             Intent data) {
+    	
+        if (requestCode == ActivityResult.IMPORT_CERTIFICATE && resultCode == Activity.RESULT_OK) {
+            this.launchPasswordDialog(data);
+        }
        if (resultCode == RESULT_OK) {
     	   
@@ -105,6 +104,4 @@
         }
     }
-
->>>>>>> c2318907ec781e759fbf9e1a0e0d0eb01a54dd36
 
 	
@@ -235,16 +232,5 @@
 		}
 		
-	}	
-
-    
-    @Override
-    protected void onActivityResult(int requestCode, int resultCode, final Intent data) {
-    		
-        if (requestCode == ActivityResult.IMPORT_CERTIFICATE && resultCode == Activity.RESULT_OK) {
-            this.launchPasswordDialog(data);
-        }
-    }
-    
-
+	}
 
     private void launchPasswordDialog(final Intent data) {
Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/TibisayMovilActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/TibisayMovilActivity.java	(revision 288126d7faf1d05b5222029383542ccbbb4d4a26)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/TibisayMovilActivity.java	(revision 3fe55cf536b031bec5296132865e1638a0d99301)
@@ -98,9 +98,5 @@
 				
 				
-				// seleccion de gestionar certificados
-<<<<<<< HEAD
-				if (function.equals(getString(R.string.certificados))){
-					Toast.makeText(context, "Gestionar repositorio", duration).show();					
-=======
+				// seleccion de gestionar certificados	
 				if (function.equals("Certificados")){
 					Toast.makeText(context, "Gestionar repositorio", duration).show();
@@ -108,5 +104,4 @@
 					certificate_dialog.show();
 					/*
->>>>>>> c2318907ec781e759fbf9e1a0e0d0eb01a54dd36
 					
 					// Chequeo de version del API de Android para creacion de repositorio		
@@ -259,5 +254,4 @@
 		return builder.create();
 	}
-<<<<<<< HEAD
 
 	
@@ -267,5 +261,4 @@
 		startActivity(intent);
 	}
-=======
 	
 	//Crea dialogo de opciones para compartir archivos
@@ -310,5 +303,12 @@
 	//Crea dialogo de opciones para gestionar certificados
 	public AlertDialog makeCertificateOptionsDialog() {
-		final String[] option = new String[] {getString(R.string.manage_personal_certificates), getString(R.string.manage_certificates_for_encryption) };
+;		
+		final String[] option;
+		if (Build.VERSION.SDK_INT < Build.VERSION_CODES.ICE_CREAM_SANDWICH){
+			option = new String[] {getString(R.string.manage_personal_certificates), getString( R.string.manage_certificates_for_encryption) };
+		} else {
+			option = new String[] {getString(R.string.manage_personal_certificates) };
+		}
+		
 		ArrayAdapter<String> adapter = new ArrayAdapter<String>(this,
 		        android.R.layout.select_dialog_item, option);
@@ -319,18 +319,26 @@
 		
 		  public void onClick(DialogInterface dialog, int which) {
-			  
-			  switch (which) {
-			case 0: // Certificados personales
-				Log.i("DEBUG", "antes de activity call");
-				
-				break;
-			case 1: // Certificados para cifrado
-				Toast.makeText(getApplicationContext(), "Lanzar certificados de destinatarios", Toast.LENGTH_SHORT).show();
-				manageRecipientCertificates();
-				break;
-				
-			default:
-				break;
+			
+			if (Build.VERSION.SDK_INT < Build.VERSION_CODES.ICE_CREAM_SANDWICH){
+
+				switch (which) {
+				case 0: // Certificados personales
+					testRepository();
+					break;
+				case 1: // Certificados para cifrado
+					manageRecipientCertificates();
+					break;
+				}
+				
+			} else  {
+				
+				switch (which) {
+				case 0: // Certificados para cifrado
+					manageRecipientCertificates();
+					break;
+				}
+				
 			}
+			
 		  }
 		  
@@ -340,4 +348,3 @@
 	}
 	
->>>>>>> c2318907ec781e759fbf9e1a0e0d0eb01a54dd36
 }