Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/DownloaderActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/DownloaderActivity.java	(revision 56b06e2301573006aa63e353e93f382c8e2c3672)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/DownloaderActivity.java	(revision ba6bc7c40d18070a6f9f6d46e946732533917402)
@@ -118,10 +118,10 @@
         
 	      if (intent != null) {
-	    	  Toast.makeText(getApplicationContext(), "DownloaderActivity: intent != null", Toast.LENGTH_SHORT).show();
+	    	  //Toast.makeText(getApplicationContext(), "DownloaderActivity: intent != null", Toast.LENGTH_SHORT).show();
 
 	    	  final android.net.Uri data = intent.getData ();
 	    	  
 		      if (data != null) {
-		    	  Toast.makeText(getApplicationContext(), "data != null", Toast.LENGTH_SHORT).show();
+		    	  //Toast.makeText(getApplicationContext(), "data != null", Toast.LENGTH_SHORT).show();
 		    	  
 		    	  // verificar el tipo de scheme
@@ -130,5 +130,5 @@
 		          // verificacion de un archivo que esta en el dispositivo 
 		          if (scheme.equals("file")) {
-		        	  Toast.makeText(getApplicationContext(), "file: "+data.getPath(), Toast.LENGTH_SHORT).show();
+		        	  //Toast.makeText(getApplicationContext(), "file: "+data.getPath(), Toast.LENGTH_SHORT).show();
 		        	  
 		        	  // verificar el archivo
@@ -139,5 +139,5 @@
 		        		  //doBdocVerification(data.getPath());
 						}else{
-							Toast.makeText(getApplicationContext(), "¡Por Implementar!", Toast.LENGTH_SHORT).show();
+							//Toast.makeText(getApplicationContext(), "¡Por Implementar!", Toast.LENGTH_SHORT).show();
 							
 						}
@@ -147,5 +147,5 @@
 		          // verificacion de un archivo que se debe descargar
 		          if (scheme.equals("https")) {
-		        	  Toast.makeText(getApplicationContext(), "scheme: "+data.toString(), Toast.LENGTH_SHORT).show();
+		        	  //Toast.makeText(getApplicationContext(), "scheme: "+data.toString(), Toast.LENGTH_SHORT).show();
 		        	  
 		        	  //Toast.makeText(getApplicationContext(), "externalStorage: "+Environment.getExternalStorageDirectory().toString(), Toast.LENGTH_SHORT).show();
@@ -171,12 +171,12 @@
 		    	
 		    			
-		    	Toast.makeText(getApplicationContext(), "fileToVerify bundle!=null: "+fileToVerify, Toast.LENGTH_SHORT).show();
+		    	//Toast.makeText(getApplicationContext(), "fileToVerify bundle!=null: "+fileToVerify, Toast.LENGTH_SHORT).show();
 		    	
 		    	if (fileToVerifyExtension.equals("bdoc")){
-		    		Toast.makeText(getApplicationContext(), "verificacion de archivo desde la Activity principal", Toast.LENGTH_SHORT).show();
+		    		//Toast.makeText(getApplicationContext(), "verificacion de archivo desde la Activity principal", Toast.LENGTH_SHORT).show();
 					// ejecutar la verificacion	        
 					//doBdocVerification(fileToVerify);
 				}else{
-					Toast.makeText(getApplicationContext(), "¡Por Implementar!", Toast.LENGTH_SHORT).show();
+					//Toast.makeText(getApplicationContext(), "¡Por Implementar!", Toast.LENGTH_SHORT).show();
 					
 				}
@@ -186,5 +186,5 @@
 		        	 
 	      }else{
-	    	  Toast.makeText(getApplicationContext(), "intent == null", Toast.LENGTH_SHORT).show();
+	    	  //Toast.makeText(getApplicationContext(), "intent == null", Toast.LENGTH_SHORT).show();
 	      }
 		
@@ -209,5 +209,6 @@
         {
             e.printStackTrace();
-            Toast.makeText(this, "Could not initiate File System.. Is Sdcard mounted properly?", Toast.LENGTH_LONG).show();
+            //Toast.makeText(this, "Could not initiate File System.. Is Sdcard mounted properly?", Toast.LENGTH_LONG).show();
+            Toast.makeText(this, "No se pudo iniciar el sistema de archivos. ¿Está la SDCARD montada?", Toast.LENGTH_LONG).show();
             return false;
         }
@@ -337,6 +338,6 @@
                 		for (int l=0; l < fields.length; l++) {
                 			try {
-                				Toast.makeText(getApplicationContext(), "DownloaderActivity: "+Integer.toString(l)+ " "+ 
-                					Integer.toString(fields[l].getInt(null)), Toast.LENGTH_SHORT).show();
+                				//Toast.makeText(getApplicationContext(), "DownloaderActivity: "+Integer.toString(l)+ " "+ 
+                				//	Integer.toString(fields[l].getInt(null)), Toast.LENGTH_SHORT).show();
 
                 				caInput = new BufferedInputStream(getResources().openRawResource(fields[l].getInt(null))); 
@@ -544,5 +545,5 @@
                     
                         	Log.d("***", "DownloadFileAsync().execute(urlhttps, true)");
-                        	Toast.makeText(getApplicationContext(), "DownloadFileAsync().execute("+urlhttps+", true)", Toast.LENGTH_LONG).show();
+                        	//Toast.makeText(getApplicationContext(), "DownloadFileAsync().execute("+urlhttps+", true)", Toast.LENGTH_LONG).show();
                         	// pasar como segundo argmento que se acepta que el sertivor es desconocido
                         	new DownloadFileAsync().execute(urlhttps, "true");
@@ -563,14 +564,14 @@
            }else{
         	   // no ocurrió excepcion
-        	   Toast.makeText(getApplicationContext(), "Se descargo correctamente el archivo", Toast.LENGTH_LONG).show();
+        	   //Toast.makeText(getApplicationContext(), "Se descargo correctamente el archivo", Toast.LENGTH_LONG).show();
         	   
-        	   Toast.makeText(getApplicationContext(), "result.get(0): "+result.get(0), Toast.LENGTH_LONG).show();
-        	   Toast.makeText(getApplicationContext(), "result.get(1): "+result.get(1), Toast.LENGTH_LONG).show();
-        	   Toast.makeText(getApplicationContext(), "downloadedDirFiles: "+downloadedDirFiles, Toast.LENGTH_LONG).show();
+        	   //Toast.makeText(getApplicationContext(), "result.get(0): "+result.get(0), Toast.LENGTH_LONG).show();
+        	   //Toast.makeText(getApplicationContext(), "result.get(1): "+result.get(1), Toast.LENGTH_LONG).show();
+        	   //Toast.makeText(getApplicationContext(), "downloadedDirFiles: "+downloadedDirFiles, Toast.LENGTH_LONG).show();
         	   
         	   // lanzar activity para mostrar resultados de verificacion
    			   Intent intent = new Intent(DownloaderActivity.this, BDOCVerifyResultActivity.class);
    			   intent.putExtra("fileToVerify", result.get(1));
-   			   Toast.makeText(getApplicationContext(), "putExtra1: "+result.get(1), Toast.LENGTH_LONG).show();
+   			   //Toast.makeText(getApplicationContext(), "putExtra1: "+result.get(1), Toast.LENGTH_LONG).show();
    				
    			   File f = new File(result.get(1));
@@ -579,5 +580,5 @@
    			   intent.putExtra("fileExtension", fileExtension);
    			   
-   			Toast.makeText(getApplicationContext(), "putExtra2: "+fileExtension, Toast.LENGTH_LONG).show();
+   			   //Toast.makeText(getApplicationContext(), "putExtra2: "+fileExtension, Toast.LENGTH_LONG).show();
    			   
    			   startActivity(intent);   