Index: TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java
===================================================================
--- TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision a8ff2b63f0f40e5cc6ca1fe414bdea56b82b7508)
+++ TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 09c6eb75b43b38fa0c6aec733df64cd2d3c7630e)
@@ -57,31 +57,57 @@
         public static final int ic_launcher=0x7f020018;
         public static final int ico_acercade=0x7f020019;
-        public static final int ico_certificado_validado=0x7f02001a;
-        public static final int ico_configuracion=0x7f02001b;
-        public static final int ico_firmar_archivo=0x7f02001c;
-        public static final int ico_firmar_archivo_off=0x7f02001d;
-        public static final int ico_historial_off=0x7f02001e;
-        public static final int ico_historial_on=0x7f02001f;
-        public static final int ico_instalar_certificado_off=0x7f020020;
-        public static final int ico_instalar_certificado_on=0x7f020021;
-        public static final int ico_limpiar=0x7f020022;
-        public static final int listselector=0x7f020023;
-        public static final int lower_grey=0x7f020024;
-        public static final int lower_grey_disabled=0x7f020025;
-        public static final int lower_grey_pressed=0x7f020026;
-        public static final int modificar_clave=0x7f020027;
-        public static final int num_selected_shadow=0x7f020028;
-        public static final int selector=0x7f020029;
-        public static final int volver_crear_almacen=0x7f02002a;
+        public static final int ico_archivo=0x7f02001a;
+        public static final int ico_carpeta=0x7f02001b;
+        public static final int ico_certificado_error=0x7f02001c;
+        public static final int ico_certificado_novalido=0x7f02001d;
+        public static final int ico_certificado_sinconexion=0x7f02001e;
+        public static final int ico_certificado_validado=0x7f02001f;
+        public static final int ico_configuracion=0x7f020020;
+        public static final int ico_firmar_archivo=0x7f020021;
+        public static final int ico_firmar_archivo_blanco_off=0x7f020022;
+        public static final int ico_firmar_archivo_blanco_on=0x7f020023;
+        public static final int ico_firmar_archivo_negro_on=0x7f020024;
+        public static final int ico_firmar_archivo_off=0x7f020025;
+        public static final int ico_historial_off=0x7f020026;
+        public static final int ico_historial_on=0x7f020027;
+        public static final int ico_instalar_certificado_off=0x7f020028;
+        public static final int ico_instalar_certificado_on=0x7f020029;
+        public static final int ico_limpiar=0x7f02002a;
+        public static final int ico_seleccionar_todo=0x7f02002b;
+        public static final int icono_app=0x7f02002c;
+        public static final int listselector=0x7f02002d;
+        public static final int lower_grey=0x7f02002e;
+        public static final int lower_grey_disabled=0x7f02002f;
+        public static final int lower_grey_pressed=0x7f020030;
+        public static final int modificar_clave=0x7f020031;
+        public static final int num_selected_shadow=0x7f020032;
+        public static final int selector=0x7f020033;
+        public static final int volver_crear_almacen=0x7f020034;
     }
     public static final class id {
-        public static final int change_password=0x7f0a0003;
-        public static final int imageView1=0x7f0a0001;
+        public static final int button_bar=0x7f0a000a;
+        public static final int button_delete=0x7f0a0004;
+        public static final int button_open=0x7f0a0005;
+        public static final int cert_chooser=0x7f0a0009;
+        public static final int cert_chooser_install_button=0x7f0a0003;
+        public static final int cert_description=0x7f0a0008;
+        public static final int change_password=0x7f0a0006;
+        public static final int file_list=0x7f0a000f;
+        public static final int filename_text=0x7f0a0002;
+        public static final int generalView=0x7f0a0007;
+        public static final int imageView1=0x7f0a000b;
         public static final int listViewFunctions=0x7f0a0000;
-        public static final int textView1=0x7f0a0002;
+        public static final int path=0x7f0a000e;
+        public static final int sign_description=0x7f0a000d;
+        public static final int textView1=0x7f0a000c;
+        public static final int type_image=0x7f0a0001;
     }
     public static final class layout {
         public static final int activity_main=0x7f030000;
-        public static final int list_item=0x7f030001;
+        public static final int cert_browser_item=0x7f030001;
+        public static final int certificate_buttons=0x7f030002;
+        public static final int certificate_chooser=0x7f030003;
+        public static final int list_item=0x7f030004;
+        public static final int single_file_browser=0x7f030005;
     }
     public static final class menu {
@@ -109,4 +135,5 @@
         public static final int install_new_cert_button_label=0x7f060013;
         public static final int install_new_cert_message=0x7f060012;
+        public static final int installdescription=0x7f060020;
         public static final int keystore_create_password=0x7f060004;
         public static final int keystore_new_password=0x7f06000c;
@@ -128,5 +155,5 @@
         /**  Values for the contentDescription attribute of widgets 
          */
-        public static final int type=0x7f060020;
+        public static final int type=0x7f060021;
     }
     public static final class style {
@@ -152,12 +179,20 @@
  API 14 theme customizations can go here. 
          */
-        public static final int AppBaseTheme=0x7f080003;
+        public static final int AppBaseTheme=0x7f08000b;
         /**  Application theme. 
  All customizations that are NOT specific to a particular API-level can go here. 
          */
-        public static final int AppTheme=0x7f080004;
+        public static final int AppTheme=0x7f08000c;
         public static final int style_actionbar=0x7f080000;
         public static final int style_description=0x7f080001;
-        public static final int style_listviews=0x7f080002;
+        public static final int style_font_date=0x7f080006;
+        public static final int style_font_files=0x7f080005;
+        public static final int style_font_general=0x7f080002;
+        public static final int style_font_header=0x7f080003;
+        public static final int style_font_section=0x7f080004;
+        public static final int style_font_tab=0x7f080007;
+        public static final int style_font_tab_disabled=0x7f080008;
+        public static final int style_font_titles=0x7f080009;
+        public static final int style_listviews=0x7f08000a;
     }
 }