Index: TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java
===================================================================
--- TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision c14b8d2319ed7589fa864c719a12dcce29dc49cd)
+++ TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 42e70611d93f9b8e80ad4f3126f64ef1d9ca077a)
@@ -112,12 +112,12 @@
     }
     public static final class id {
-        public static final int ImageView01=0x7f0c008b;
-        public static final int TextView01=0x7f0c0078;
-        public static final int action_settings=0x7f0c008c;
+        public static final int ImageView01=0x7f0c008c;
+        public static final int TextView01=0x7f0c0079;
+        public static final int action_settings=0x7f0c008d;
         public static final int archivo_descifrado=0x7f0c0024;
         public static final int archivo_original_a_descifrar=0x7f0c0050;
         public static final int archivo_original_a_firmar=0x7f0c0041;
         public static final int archivo_original_pdf=0x7f0c0020;
-        public static final int archivo_para_firmar=0x7f0c007e;
+        public static final int archivo_para_firmar=0x7f0c007f;
         public static final int arrow_show_errors=0x7f0c0025;
         public static final int button_accept=0x7f0c0007;
@@ -136,25 +136,25 @@
         public static final int button_clear_text=0x7f0c0005;
         public static final int button_clear_zone=0x7f0c0003;
-        public static final int button_delete=0x7f0c0054;
-        public static final int button_finish=0x7f0c0086;
-        public static final int button_finish_text=0x7f0c0087;
-        public static final int button_finish_zone=0x7f0c0085;
+        public static final int button_delete=0x7f0c0055;
+        public static final int button_finish=0x7f0c0087;
+        public static final int button_finish_text=0x7f0c0088;
+        public static final int button_finish_zone=0x7f0c0086;
         public static final int button_next=0x7f0c000c;
         public static final int button_next_zone=0x7f0c000b;
-        public static final int button_open=0x7f0c0061;
-        public static final int button_recreate=0x7f0c007a;
+        public static final int button_open=0x7f0c0062;
+        public static final int button_recreate=0x7f0c007b;
         public static final int button_remove_certificate=0x7f0c0011;
         public static final int button_remove_certificate_text=0x7f0c0012;
         public static final int button_remove_certificate_zone=0x7f0c0010;
-        public static final int button_share=0x7f0c0089;
-        public static final int button_share_text=0x7f0c008a;
-        public static final int button_share_zone=0x7f0c0088;
-        public static final int cert_chooser=0x7f0c0057;
-        public static final int cert_chooser_install_button=0x7f0c0053;
-        public static final int cert_data=0x7f0c005c;
-        public static final int cert_description=0x7f0c0056;
-        public static final int cert_item_alias=0x7f0c0058;
-        public static final int cert_item_selected=0x7f0c005a;
-        public static final int cert_item_subject=0x7f0c0059;
+        public static final int button_share=0x7f0c008a;
+        public static final int button_share_text=0x7f0c008b;
+        public static final int button_share_zone=0x7f0c0089;
+        public static final int cert_chooser=0x7f0c0058;
+        public static final int cert_chooser_install_button=0x7f0c0054;
+        public static final int cert_data=0x7f0c005d;
+        public static final int cert_description=0x7f0c0057;
+        public static final int cert_item_alias=0x7f0c0059;
+        public static final int cert_item_selected=0x7f0c005b;
+        public static final int cert_item_subject=0x7f0c005a;
         public static final int certificate_issuer=0x7f0c004f;
         public static final int certificate_list=0x7f0c0027;
@@ -163,29 +163,29 @@
         public static final int certificate_valid_from=0x7f0c0015;
         public static final int certificate_valid_until=0x7f0c004d;
-        public static final int certificate_zone=0x7f0c0067;
-        public static final int change_password=0x7f0c0062;
-        public static final int confirmation=0x7f0c007c;
-        public static final int confirmation_bar=0x7f0c006b;
-        public static final int confirmation_decription=0x7f0c0068;
-        public static final int confirmation_list=0x7f0c0069;
-        public static final int confirmation_separator=0x7f0c006a;
-        public static final int data_header=0x7f0c005b;
+        public static final int certificate_zone=0x7f0c0068;
+        public static final int change_password=0x7f0c0063;
+        public static final int confirmation=0x7f0c007d;
+        public static final int confirmation_bar=0x7f0c006c;
+        public static final int confirmation_decription=0x7f0c0069;
+        public static final int confirmation_list=0x7f0c006a;
+        public static final int confirmation_separator=0x7f0c006b;
+        public static final int data_header=0x7f0c005c;
         public static final int decryption_result_layout=0x7f0c001e;
         public static final int destinatario=0x7f0c002d;
-        public static final int divider=0x7f0c0077;
-        public static final int docs_data=0x7f0c005e;
+        public static final int divider=0x7f0c0078;
+        public static final int docs_data=0x7f0c005f;
         public static final int documents_list=0x7f0c0051;
-        public static final int fail_text=0x7f0c0066;
-        public static final int file_check=0x7f0c0073;
-        public static final int file_checkbox=0x7f0c006c;
+        public static final int fail_text=0x7f0c0067;
+        public static final int file_check=0x7f0c0074;
+        public static final int file_checkbox=0x7f0c006d;
         public static final int file_list=0x7f0c001d;
-        public static final int file_radio=0x7f0c0072;
+        public static final int file_radio=0x7f0c0073;
         public static final int filename_data=0x7f0c002a;
-        public static final int filename_modified=0x7f0c006d;
+        public static final int filename_modified=0x7f0c006e;
         public static final int filename_text=0x7f0c002b;
-        public static final int files_to_sign=0x7f0c005d;
-        public static final int fixing=0x7f0c0060;
-        public static final int generalView=0x7f0c0055;
-        public static final int imageListMainMenu=0x7f0c0074;
+        public static final int files_to_sign=0x7f0c005e;
+        public static final int fixing=0x7f0c0061;
+        public static final int generalView=0x7f0c0056;
+        public static final int imageListMainMenu=0x7f0c0075;
         public static final int label_archivo_a_descifrar=0x7f0c001f;
         public static final int label_archivo_a_firmar=0x7f0c0040;
@@ -201,4 +201,5 @@
         public static final int layout_certificate_to_remove=0x7f0c0029;
         public static final int layout_decrypted_file_and_arrow=0x7f0c0022;
+        public static final int layout_pdf_signed_result=0x7f0c0053;
         public static final int linearLayout=0x7f0c0017;
         public static final int linearLayout1=0x7f0c0013;
@@ -208,33 +209,33 @@
         public static final int listViewErrors=0x7f0c0043;
         public static final int listViewFunctions=0x7f0c002f;
-        public static final int lower_container=0x7f0c005f;
-        public static final int nosignedfiles=0x7f0c0080;
-        public static final int not_connected_text=0x7f0c0063;
-        public static final int not_valid_text=0x7f0c0064;
+        public static final int lower_container=0x7f0c0060;
+        public static final int nosignedfiles=0x7f0c0081;
+        public static final int not_connected_text=0x7f0c0064;
+        public static final int not_valid_text=0x7f0c0065;
         public static final int page_container=0x7f0c003e;
         public static final int pages_spinner=0x7f0c003f;
-        public static final int password=0x7f0c0079;
+        public static final int password=0x7f0c007a;
         public static final int path=0x7f0c001c;
         public static final int pathstring=0x7f0c001b;
         public static final int pkcs12_to_decrypt_description=0x7f0c001a;
-        public static final int progress=0x7f0c0084;
+        public static final int progress=0x7f0c0085;
         public static final int sign_description=0x7f0c002e;
         public static final int signature_date=0x7f0c0031;
-        public static final int signature_errors=0x7f0c0071;
+        public static final int signature_errors=0x7f0c0072;
         public static final int signature_errors_text=0x7f0c0045;
-        public static final int signature_icon=0x7f0c006f;
+        public static final int signature_icon=0x7f0c0070;
         public static final int signatures_list=0x7f0c0052;
-        public static final int signer_data=0x7f0c006e;
+        public static final int signer_data=0x7f0c006f;
         public static final int signer_detail_errors=0x7f0c0046;
-        public static final int signer_info=0x7f0c0070;
-        public static final int signing=0x7f0c0082;
-        public static final int signing_label=0x7f0c0083;
-        public static final int summary=0x7f0c007f;
-        public static final int summary2=0x7f0c0081;
+        public static final int signer_info=0x7f0c0071;
+        public static final int signing=0x7f0c0083;
+        public static final int signing_label=0x7f0c0084;
+        public static final int summary=0x7f0c0080;
+        public static final int summary2=0x7f0c0082;
         public static final int tableRow1=0x7f0c0032;
         public static final int tableRow2=0x7f0c0036;
         public static final int tableRow3=0x7f0c003a;
-        public static final int textListMainMenu=0x7f0c0075;
-        public static final int textView1=0x7f0c007b;
+        public static final int textListMainMenu=0x7f0c0076;
+        public static final int textView1=0x7f0c007c;
         public static final int textView11=0x7f0c0033;
         public static final int textView12=0x7f0c0034;
@@ -246,11 +247,11 @@
         public static final int textView32=0x7f0c003c;
         public static final int textView33=0x7f0c003d;
-        public static final int the_button=0x7f0c007d;
-        public static final int title=0x7f0c0076;
+        public static final int the_button=0x7f0c007e;
+        public static final int title=0x7f0c0077;
         public static final int title_certificate_info=0x7f0c0048;
         public static final int title_signature_date_info=0x7f0c0047;
         public static final int title_signature_errors=0x7f0c0042;
         public static final int type_image=0x7f0c0023;
-        public static final int valid_text=0x7f0c0065;
+        public static final int valid_text=0x7f0c0066;
     }
     public static final class layout {
Index: TibisayMovil/res/layout/activity_verify_result_pdf.xml
===================================================================
--- TibisayMovil/res/layout/activity_verify_result_pdf.xml	(revision e68708b200db1b970f54b28dccea6c4cc20e8c85)
+++ TibisayMovil/res/layout/activity_verify_result_pdf.xml	(revision 42e70611d93f9b8e80ad4f3126f64ef1d9ca077a)
@@ -50,4 +50,5 @@
 
 	<LinearLayout
+	    android:id="@+id/layout_pdf_signed_result"
         android:layout_width="match_parent"
         android:layout_height="0dp"
Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/PDFVerifyResultActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/PDFVerifyResultActivity.java	(revision c14b8d2319ed7589fa864c719a12dcce29dc49cd)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/PDFVerifyResultActivity.java	(revision 42e70611d93f9b8e80ad4f3126f64ef1d9ca077a)
@@ -4,5 +4,4 @@
 import java.io.File;
 import java.io.InputStream;
-
 
 import android.net.Uri;
@@ -17,4 +16,5 @@
 import android.view.Window;
 import android.view.View.OnClickListener;
+import android.webkit.MimeTypeMap;
 import android.widget.AdapterView;
 import android.widget.BaseAdapter;
@@ -39,5 +39,4 @@
 import java.util.ArrayList;
 import java.util.Random;
-
 import java.security.cert.X509Certificate;
 import java.text.SimpleDateFormat;
@@ -82,4 +81,18 @@
 		// ejecutar el proceso de verificacion del pdf
 		doVerification(pdfToVerify);
+		
+		LinearLayout layoutPdfFileResult = (LinearLayout) this.findViewById(R.id.layout_pdf_signed_result);
+        
+        OnClickListener pdfFileListener = new OnClickListener() {
+            public void onClick(View v) {
+                
+            	//Toast.makeText(getApplicationContext(), "**CLICK SOBRE EL archivo***", Toast.LENGTH_LONG).show();
+            	
+            	openIt(pdfToVerify, getMimeType(pdfToVerify));
+            }
+        };
+        layoutPdfFileResult.setOnClickListener(pdfFileListener);
+		
+		
 		
 		// habilitar opciones de botones inferiores
@@ -174,6 +187,6 @@
         		for (int l=0; l < fields.length; l++) {
         			try {
-        				Toast.makeText(getApplicationContext(), "PDFVerifyResultActivity - reading certificate: "+Integer.toString(l)+ " "+ 
-        					Integer.toString(fields[l].getInt(null)), Toast.LENGTH_SHORT).show();
+        				//Toast.makeText(getApplicationContext(), "PDFVerifyResultActivity - reading certificate: "+Integer.toString(l)+ " "+ 
+        				//	Integer.toString(fields[l].getInt(null)), Toast.LENGTH_SHORT).show();
 
         				caInput = new BufferedInputStream(getResources().openRawResource(fields[l].getInt(null))); 
@@ -475,4 +488,25 @@
 	}
 	
+    // funcion para obtener el tipo mime de un archivo
+    public static String getMimeType(String url)
+    {
+        String extension = url.substring(url.lastIndexOf("."));
+        String mimeTypeMap = MimeTypeMap.getFileExtensionFromUrl(extension);
+        String mimeType = MimeTypeMap.getSingleton().getMimeTypeFromExtension(mimeTypeMap);
+        return mimeType;
+    }
+
+	
+	// funcion para lanzar un intent que abra un archivo
+    private void openIt(String pdfFile, String mimeType) {
+		
+		Intent shareIntent = new Intent();
+		shareIntent.setAction(Intent.ACTION_VIEW);
+		File file = new File(pdfFile);
+		Uri uri = Uri.fromFile(file);
+		Log.i("DEBUG", file.getPath());
+		shareIntent.setDataAndType(uri, mimeType);		
+		startActivity(Intent.createChooser(shareIntent, getResources().getText(R.string.open_it_using)));
+	}
 	
 }