Index: TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java
===================================================================
--- TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 8379cd8af9457a53456e53c1fa2a7bb9eb220766)
+++ TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 58c7f6aadab4f853597c07d2ce1054e57b68b8bd)
@@ -47,82 +47,110 @@
         public static final int blueseparator=0x7f020010;
         public static final int blueseparator_active=0x7f020011;
-        public static final int description=0x7f020012;
-        public static final int divider_horizontal=0x7f020013;
-        public static final int divider_vertical=0x7f020014;
-        public static final int eliminar_certificados=0x7f020015;
-        public static final int file=0x7f020016;
-        public static final int flecha_anterior=0x7f020017;
-        public static final int flecha_siguiente=0x7f020018;
-        public static final int flecha_siguiente_gris=0x7f020019;
-        public static final int folder=0x7f02001a;
-        public static final int grey_clear_rounded=0x7f02001b;
-        public static final int grey_tab=0x7f02001c;
-        public static final int ic_action_about=0x7f02001d;
-        public static final int ic_action_help=0x7f02001e;
-        public static final int ic_agregar=0x7f02001f;
-        public static final int ic_archivo=0x7f020020;
-        public static final int ic_carpeta=0x7f020021;
-        public static final int ic_cifrar=0x7f020022;
-        public static final int ic_compartir_blanco=0x7f020023;
-        public static final int ic_continuar=0x7f020024;
-        public static final int ic_finalizar_blanco=0x7f020025;
-        public static final int ic_launcher=0x7f020026;
-        public static final int ic_limpiar=0x7f020027;
-        public static final int ic_limpiar_blanco=0x7f020028;
-        public static final int ic_management=0x7f020029;
-        public static final int ic_management_blanco=0x7f02002a;
-        public static final int ic_navigation_previous_item=0x7f02002b;
-        public static final int ic_not_secure=0x7f02002c;
-        public static final int ic_password_blanco=0x7f02002d;
-        public static final int ic_pluma=0x7f02002e;
-        public static final int ic_preferences=0x7f02002f;
-        public static final int ic_retroceder=0x7f020030;
-        public static final int ic_secure=0x7f020031;
-        public static final int ic_share=0x7f020032;
-        public static final int ic_verify=0x7f020033;
-        public static final int ico_acercade=0x7f020034;
-        public static final int ico_archivo=0x7f020035;
-        public static final int ico_carpeta=0x7f020036;
-        public static final int ico_certificado_error=0x7f020037;
-        public static final int ico_certificado_novalido=0x7f020038;
-        public static final int ico_certificado_sinconexion=0x7f020039;
-        public static final int ico_certificado_validado=0x7f02003a;
-        public static final int ico_configuracion=0x7f02003b;
-        public static final int ico_firmar_archivo=0x7f02003c;
-        public static final int ico_firmar_archivo_blanco_off=0x7f02003d;
-        public static final int ico_firmar_archivo_blanco_on=0x7f02003e;
-        public static final int ico_firmar_archivo_negro_on=0x7f02003f;
-        public static final int ico_firmar_archivo_off=0x7f020040;
-        public static final int ico_historial_off=0x7f020041;
-        public static final int ico_historial_on=0x7f020042;
-        public static final int ico_instalar_certificado_off=0x7f020043;
-        public static final int ico_instalar_certificado_on=0x7f020044;
-        public static final int ico_limpiar=0x7f020045;
-        public static final int ico_seleccionar_todo=0x7f020046;
-        public static final int icon_title_bar=0x7f020047;
-        public static final int icono_app=0x7f020048;
-        public static final int lower_green=0x7f020049;
-        public static final int lower_green_disabled=0x7f02004a;
-        public static final int lower_green_pressed=0x7f02004b;
-        public static final int lower_grey=0x7f02004c;
-        public static final int lower_grey_disabled=0x7f02004d;
-        public static final int lower_grey_pressed=0x7f02004e;
-        public static final int modificar_clave=0x7f02004f;
-        public static final int selector=0x7f020050;
-        public static final int shape_table1=0x7f020051;
-        public static final int volver_crear_almacen=0x7f020052;
+        public static final int cintillo=0x7f020012;
+        public static final int cintillo_new=0x7f020013;
+        public static final int cintillo_sinverde=0x7f020014;
+        public static final int description=0x7f020015;
+        public static final int divider_horizontal=0x7f020016;
+        public static final int divider_vertical=0x7f020017;
+        public static final int eliminar_certificados=0x7f020018;
+        public static final int file=0x7f020019;
+        public static final int flecha_anterior=0x7f02001a;
+        public static final int flecha_siguiente=0x7f02001b;
+        public static final int flecha_siguiente_gris=0x7f02001c;
+        public static final int folder=0x7f02001d;
+        public static final int grey_clear_rounded=0x7f02001e;
+        public static final int grey_tab=0x7f02001f;
+        public static final int ic_acerca_de_new=0x7f020020;
+        public static final int ic_action_about=0x7f020021;
+        public static final int ic_action_help=0x7f020022;
+        public static final int ic_agregar=0x7f020023;
+        public static final int ic_agregar_new=0x7f020024;
+        public static final int ic_archivo=0x7f020025;
+        public static final int ic_archivo_verde=0x7f020026;
+        public static final int ic_ayuda_new=0x7f020027;
+        public static final int ic_carpeta=0x7f020028;
+        public static final int ic_carpeta_verde=0x7f020029;
+        public static final int ic_certificados_new=0x7f02002a;
+        public static final int ic_cifrar=0x7f02002b;
+        public static final int ic_cifrar_new=0x7f02002c;
+        public static final int ic_compartir=0x7f02002d;
+        public static final int ic_compartir_blanco=0x7f02002e;
+        public static final int ic_compartir_new=0x7f02002f;
+        public static final int ic_continuar=0x7f020030;
+        public static final int ic_continuar_new=0x7f020031;
+        public static final int ic_descifrar_new=0x7f020032;
+        public static final int ic_eliminar_new=0x7f020033;
+        public static final int ic_finalizar_blanco=0x7f020034;
+        public static final int ic_finalizar_new=0x7f020035;
+        public static final int ic_firmar_new=0x7f020036;
+        public static final int ic_firmar_verde=0x7f020037;
+        public static final int ic_instalar_new=0x7f020038;
+        public static final int ic_launcher=0x7f020039;
+        public static final int ic_limpiar=0x7f02003a;
+        public static final int ic_limpiar_blanco=0x7f02003b;
+        public static final int ic_limpiar_new=0x7f02003c;
+        public static final int ic_management=0x7f02003d;
+        public static final int ic_management_blanco=0x7f02003e;
+        public static final int ic_navigation_previous_item=0x7f02003f;
+        public static final int ic_not_secure=0x7f020040;
+        public static final int ic_nueva_contrasena_new=0x7f020041;
+        public static final int ic_nuevo_almacen=0x7f020042;
+        public static final int ic_password_blanco=0x7f020043;
+        public static final int ic_pluma=0x7f020044;
+        public static final int ic_preferences=0x7f020045;
+        public static final int ic_preferencias_new=0x7f020046;
+        public static final int ic_retroceder=0x7f020047;
+        public static final int ic_retroceder_new=0x7f020048;
+        public static final int ic_secure=0x7f020049;
+        public static final int ic_share=0x7f02004a;
+        public static final int ic_verificar_new=0x7f02004b;
+        public static final int ic_verify=0x7f02004c;
+        public static final int ico_acercade=0x7f02004d;
+        public static final int ico_archivo=0x7f02004e;
+        public static final int ico_carpeta=0x7f02004f;
+        public static final int ico_certificado_error=0x7f020050;
+        public static final int ico_certificado_novalido=0x7f020051;
+        public static final int ico_certificado_sinconexion=0x7f020052;
+        public static final int ico_certificado_validado=0x7f020053;
+        public static final int ico_configuracion=0x7f020054;
+        public static final int ico_firmar_archivo=0x7f020055;
+        public static final int ico_firmar_archivo_blanco_off=0x7f020056;
+        public static final int ico_firmar_archivo_blanco_on=0x7f020057;
+        public static final int ico_firmar_archivo_negro_on=0x7f020058;
+        public static final int ico_firmar_archivo_off=0x7f020059;
+        public static final int ico_historial_off=0x7f02005a;
+        public static final int ico_historial_on=0x7f02005b;
+        public static final int ico_instalar_certificado_off=0x7f02005c;
+        public static final int ico_instalar_certificado_on=0x7f02005d;
+        public static final int ico_limpiar=0x7f02005e;
+        public static final int ico_seleccionar_todo=0x7f02005f;
+        public static final int icon_title_bar=0x7f020060;
+        public static final int icono_app=0x7f020061;
+        public static final int lower_green=0x7f020062;
+        public static final int lower_green_disabled=0x7f020063;
+        public static final int lower_green_pressed=0x7f020064;
+        public static final int lower_grey=0x7f020065;
+        public static final int lower_grey_disabled=0x7f020066;
+        public static final int lower_grey_pressed=0x7f020067;
+        public static final int marca_de_agua_tibisay=0x7f020068;
+        public static final int marca_de_agua_tibisay_grande=0x7f020069;
+        public static final int marca_de_agua_tibisay_grande_apaisada=0x7f02006a;
+        public static final int modificar_clave=0x7f02006b;
+        public static final int selector=0x7f02006c;
+        public static final int shape_table1=0x7f02006d;
+        public static final int volver_crear_almacen=0x7f02006e;
     }
     public static final class id {
-        public static final int ImageView01=0x7f0c0090;
-        public static final int MnuAbout=0x7f0c0093;
-        public static final int MnuHelp=0x7f0c0092;
-        public static final int TextView01=0x7f0c007e;
+        public static final int ImageView01=0x7f0c0093;
+        public static final int MnuAbout=0x7f0c0096;
+        public static final int MnuHelp=0x7f0c0095;
+        public static final int TextView01=0x7f0c0081;
         public static final int acerca=0x7f0c0014;
-        public static final int action_settings=0x7f0c0091;
+        public static final int action_settings=0x7f0c0094;
         public static final int archivo_descifrado=0x7f0c0029;
-        public static final int archivo_original_a_descifrar=0x7f0c0055;
-        public static final int archivo_original_a_firmar=0x7f0c0046;
+        public static final int archivo_original_a_descifrar=0x7f0c0056;
+        public static final int archivo_original_a_firmar=0x7f0c0047;
         public static final int archivo_original_pdf=0x7f0c0025;
-        public static final int archivo_para_firmar=0x7f0c0083;
+        public static final int archivo_para_firmar=0x7f0c0086;
         public static final int arrow_show_errors=0x7f0c002a;
         public static final int button_accept=0x7f0c0007;
@@ -141,71 +169,72 @@
         public static final int button_clear_text=0x7f0c0005;
         public static final int button_clear_zone=0x7f0c0003;
-        public static final int button_delete=0x7f0c005a;
-        public static final int button_finish=0x7f0c008b;
-        public static final int button_finish_text=0x7f0c008c;
-        public static final int button_finish_zone=0x7f0c008a;
+        public static final int button_delete=0x7f0c005b;
+        public static final int button_finish=0x7f0c008e;
+        public static final int button_finish_text=0x7f0c008f;
+        public static final int button_finish_zone=0x7f0c008d;
         public static final int button_next=0x7f0c000c;
         public static final int button_next_zone=0x7f0c000b;
-        public static final int button_open=0x7f0c0067;
-        public static final int button_recreate=0x7f0c0080;
+        public static final int button_open=0x7f0c0068;
+        public static final int button_recreate=0x7f0c0083;
         public static final int button_remove_certificate=0x7f0c0011;
         public static final int button_remove_certificate_text=0x7f0c0012;
         public static final int button_remove_certificate_zone=0x7f0c0010;
-        public static final int button_share=0x7f0c008e;
-        public static final int button_share_text=0x7f0c008f;
-        public static final int button_share_zone=0x7f0c008d;
-        public static final int cert_chooser=0x7f0c005d;
-        public static final int cert_chooser_install_button=0x7f0c0059;
-        public static final int cert_data=0x7f0c0062;
-        public static final int cert_description=0x7f0c005c;
-        public static final int cert_item_alias=0x7f0c005e;
-        public static final int cert_item_selected=0x7f0c0060;
-        public static final int cert_item_subject=0x7f0c005f;
-        public static final int certificate_issuer=0x7f0c0054;
+        public static final int button_share=0x7f0c0091;
+        public static final int button_share_text=0x7f0c0092;
+        public static final int button_share_zone=0x7f0c0090;
+        public static final int cert_chooser=0x7f0c005e;
+        public static final int cert_chooser_install_button=0x7f0c005a;
+        public static final int cert_data=0x7f0c0063;
+        public static final int cert_description=0x7f0c005d;
+        public static final int cert_item_alias=0x7f0c005f;
+        public static final int cert_item_selected=0x7f0c0061;
+        public static final int cert_item_subject=0x7f0c0060;
+        public static final int certificate_issuer=0x7f0c0055;
         public static final int certificate_list=0x7f0c002c;
-        public static final int certificate_serial=0x7f0c004f;
-        public static final int certificate_to_encrypt_description=0x7f0c0035;
+        public static final int certificate_serial=0x7f0c0050;
+        public static final int certificate_to_encrypt_description=0x7f0c0036;
         public static final int certificate_valid_from=0x7f0c001a;
-        public static final int certificate_valid_until=0x7f0c0052;
-        public static final int certificate_zone=0x7f0c006d;
-        public static final int change_password=0x7f0c0068;
-        public static final int confirmation=0x7f0c0081;
-        public static final int confirmation_bar=0x7f0c0071;
-        public static final int confirmation_decription=0x7f0c006e;
-        public static final int confirmation_list=0x7f0c006f;
-        public static final int confirmation_separator=0x7f0c0070;
-        public static final int data_header=0x7f0c0061;
+        public static final int certificate_valid_until=0x7f0c0053;
+        public static final int certificate_zone=0x7f0c006e;
+        public static final int change_password=0x7f0c0069;
+        public static final int confirmation=0x7f0c0084;
+        public static final int confirmation_bar=0x7f0c0072;
+        public static final int confirmation_decription=0x7f0c006f;
+        public static final int confirmation_list=0x7f0c0070;
+        public static final int confirmation_separator=0x7f0c0071;
+        public static final int data_header=0x7f0c0062;
         public static final int decryption_result_layout=0x7f0c0023;
         public static final int destinatario=0x7f0c0032;
-        public static final int divider=0x7f0c007d;
-        public static final int docs_data=0x7f0c0064;
-        public static final int documents_list=0x7f0c0056;
-        public static final int fail_text=0x7f0c006c;
-        public static final int file_check=0x7f0c0079;
-        public static final int file_checkbox=0x7f0c0072;
+        public static final int divider=0x7f0c0080;
+        public static final int docs_data=0x7f0c0065;
+        public static final int documents_list=0x7f0c0057;
+        public static final int fail_text=0x7f0c006d;
+        public static final int file_check=0x7f0c007a;
+        public static final int file_checkbox=0x7f0c0073;
         public static final int file_list=0x7f0c0022;
-        public static final int file_radio=0x7f0c0078;
+        public static final int file_radio=0x7f0c0079;
         public static final int filename_data=0x7f0c002f;
-        public static final int filename_modified=0x7f0c0073;
+        public static final int filename_modified=0x7f0c0074;
         public static final int filename_text=0x7f0c0030;
-        public static final int files_to_sign=0x7f0c0063;
-        public static final int fixing=0x7f0c0066;
-        public static final int generalView=0x7f0c005b;
-        public static final int imageListMainMenu=0x7f0c007a;
+        public static final int files_to_sign=0x7f0c0064;
+        public static final int fixing=0x7f0c0067;
+        public static final int generalView=0x7f0c005c;
+        public static final int imageGridMainMenu=0x7f0c007b;
+        public static final int imageListMainMenu=0x7f0c007d;
         public static final int imageView1=0x7f0c0013;
         public static final int label_archivo_a_descifrar=0x7f0c0024;
-        public static final int label_archivo_a_firmar=0x7f0c0045;
+        public static final int label_archivo_a_firmar=0x7f0c0046;
         public static final int label_archivo_original=0x7f0c0026;
-        public static final int label_certificate_issuer=0x7f0c0053;
-        public static final int label_certificate_serial=0x7f0c004e;
+        public static final int label_certificate_issuer=0x7f0c0054;
+        public static final int label_certificate_serial=0x7f0c004f;
         public static final int label_certificate_to_remove=0x7f0c002d;
-        public static final int label_certificate_valid_from=0x7f0c0050;
-        public static final int label_certificate_valid_until=0x7f0c0051;
+        public static final int label_certificate_valid_from=0x7f0c0051;
+        public static final int label_certificate_valid_until=0x7f0c0052;
         public static final int label_destinatario_cifrado=0x7f0c0031;
         public static final int label_recipient_certificate=0x7f0c002b;
-        public static final int layoutSignatureErrors=0x7f0c0049;
+        public static final int layoutSignatureErrors=0x7f0c004a;
         public static final int layout_certificate_to_remove=0x7f0c002e;
         public static final int layout_decrypted_file_and_arrow=0x7f0c0027;
-        public static final int layout_pdf_signed_result=0x7f0c0058;
+        public static final int layout_pdf_signed_result=0x7f0c0059;
         public static final int licencia=0x7f0c0016;
         public static final int linearLayout=0x7f0c001c;
@@ -214,52 +243,54 @@
         public static final int linearSpacingBottom=0x7f0c001d;
         public static final int linearSpacingTop=0x7f0c0019;
-        public static final int listViewErrors=0x7f0c0048;
-        public static final int listViewFunctions=0x7f0c0034;
-        public static final int lower_container=0x7f0c0065;
-        public static final int nosignedfiles=0x7f0c0085;
-        public static final int not_connected_text=0x7f0c0069;
-        public static final int not_valid_text=0x7f0c006a;
-        public static final int page_container=0x7f0c0043;
-        public static final int pages_spinner=0x7f0c0044;
-        public static final int password=0x7f0c007f;
+        public static final int listViewErrors=0x7f0c0049;
+        public static final int listViewFunctions=0x7f0c0035;
+        public static final int lower_container=0x7f0c0066;
+        public static final int mainGridView=0x7f0c0034;
+        public static final int nosignedfiles=0x7f0c0088;
+        public static final int not_connected_text=0x7f0c006a;
+        public static final int not_valid_text=0x7f0c006b;
+        public static final int page_container=0x7f0c0044;
+        public static final int pages_spinner=0x7f0c0045;
+        public static final int password=0x7f0c0082;
         public static final int path=0x7f0c0021;
         public static final int pathstring=0x7f0c0020;
         public static final int pkcs12_to_decrypt_description=0x7f0c001f;
-        public static final int progress=0x7f0c0089;
+        public static final int progress=0x7f0c008c;
         public static final int sign_description=0x7f0c0033;
-        public static final int signature_date=0x7f0c0036;
-        public static final int signature_errors=0x7f0c0077;
-        public static final int signature_errors_text=0x7f0c004a;
-        public static final int signature_icon=0x7f0c0075;
-        public static final int signatures_list=0x7f0c0057;
-        public static final int signer_data=0x7f0c0074;
-        public static final int signer_detail_errors=0x7f0c004b;
-        public static final int signer_info=0x7f0c0076;
-        public static final int signing=0x7f0c0087;
-        public static final int signing_label=0x7f0c0088;
-        public static final int summary=0x7f0c0084;
-        public static final int summary2=0x7f0c0086;
-        public static final int tableRow1=0x7f0c0037;
-        public static final int tableRow2=0x7f0c003b;
-        public static final int tableRow3=0x7f0c003f;
-        public static final int textListMainMenu=0x7f0c007b;
+        public static final int signature_date=0x7f0c0037;
+        public static final int signature_errors=0x7f0c0078;
+        public static final int signature_errors_text=0x7f0c004b;
+        public static final int signature_icon=0x7f0c0076;
+        public static final int signatures_list=0x7f0c0058;
+        public static final int signer_data=0x7f0c0075;
+        public static final int signer_detail_errors=0x7f0c004c;
+        public static final int signer_info=0x7f0c0077;
+        public static final int signing=0x7f0c008a;
+        public static final int signing_label=0x7f0c008b;
+        public static final int summary=0x7f0c0087;
+        public static final int summary2=0x7f0c0089;
+        public static final int tableRow1=0x7f0c0038;
+        public static final int tableRow2=0x7f0c003c;
+        public static final int tableRow3=0x7f0c0040;
+        public static final int textGridMainMenu=0x7f0c007c;
+        public static final int textListMainMenu=0x7f0c007e;
         public static final int textView1=0x7f0c0017;
-        public static final int textView11=0x7f0c0038;
-        public static final int textView12=0x7f0c0039;
-        public static final int textView13=0x7f0c003a;
+        public static final int textView11=0x7f0c0039;
+        public static final int textView12=0x7f0c003a;
+        public static final int textView13=0x7f0c003b;
         public static final int textView2=0x7f0c0015;
-        public static final int textView21=0x7f0c003c;
-        public static final int textView22=0x7f0c003d;
-        public static final int textView23=0x7f0c003e;
-        public static final int textView31=0x7f0c0040;
-        public static final int textView32=0x7f0c0041;
-        public static final int textView33=0x7f0c0042;
-        public static final int the_button=0x7f0c0082;
-        public static final int title=0x7f0c007c;
-        public static final int title_certificate_info=0x7f0c004d;
-        public static final int title_signature_date_info=0x7f0c004c;
-        public static final int title_signature_errors=0x7f0c0047;
+        public static final int textView21=0x7f0c003d;
+        public static final int textView22=0x7f0c003e;
+        public static final int textView23=0x7f0c003f;
+        public static final int textView31=0x7f0c0041;
+        public static final int textView32=0x7f0c0042;
+        public static final int textView33=0x7f0c0043;
+        public static final int the_button=0x7f0c0085;
+        public static final int title=0x7f0c007f;
+        public static final int title_certificate_info=0x7f0c004e;
+        public static final int title_signature_date_info=0x7f0c004d;
+        public static final int title_signature_errors=0x7f0c0048;
         public static final int type_image=0x7f0c0028;
-        public static final int valid_text=0x7f0c006b;
+        public static final int valid_text=0x7f0c006c;
     }
     public static final class layout {
@@ -283,45 +314,47 @@
         public static final int activity_file_to_sign_handwritten_signature=0x7f030011;
         public static final int activity_file_to_verify_bdoc=0x7f030012;
-        public static final int activity_img_to_sign_handwritten_signature=0x7f030013;
-        public static final int activity_main=0x7f030014;
-        public static final int activity_pkcs12_to_decrypt=0x7f030015;
-        public static final int activity_select_certificate_to_encrypt=0x7f030016;
-        public static final int activity_select_sign_ubication_handwritten_signature=0x7f030017;
-        public static final int activity_sign_result_handwritten_signature=0x7f030018;
-        public static final int activity_signature_errors=0x7f030019;
-        public static final int activity_signer_info=0x7f03001a;
-        public static final int activity_verify_result_bdoc=0x7f03001b;
-        public static final int activity_verify_result_pdf=0x7f03001c;
-        public static final int cancel_accept_buttons=0x7f03001d;
-        public static final int cancel_delete_accept_buttons=0x7f03001e;
-        public static final int cert_browser_item=0x7f03001f;
-        public static final int cert_chooser=0x7f030020;
-        public static final int cert_item=0x7f030021;
-        public static final int cert_validation=0x7f030022;
-        public static final int certificate_buttons=0x7f030023;
-        public static final int certificate_chooser=0x7f030024;
-        public static final int certificate_not_connected=0x7f030025;
-        public static final int certificate_not_valid=0x7f030026;
-        public static final int certificate_valid=0x7f030027;
-        public static final int certificate_validation_failed=0x7f030028;
-        public static final int certificate_zone=0x7f030029;
-        public static final int confirmation_item=0x7f03002a;
-        public static final int confirmationlist=0x7f03002b;
-        public static final int document_inside_bdoc_item=0x7f03002c;
-        public static final int error_inside_signature_item=0x7f03002d;
-        public static final int file_to_sign_handwritten_signature_item=0x7f03002e;
-        public static final int file_to_verify_bdoc_signature_item=0x7f03002f;
-        public static final int files_to_pdf_sign_item=0x7f030030;
-        public static final int files_to_pkcs7_sign_item=0x7f030031;
-        public static final int list_item=0x7f030032;
-        public static final int password=0x7f030033;
-        public static final int password_confirmation=0x7f030034;
-        public static final int pkcs12_password=0x7f030035;
-        public static final int progress_dialog=0x7f030036;
-        public static final int recipient_certificate_info=0x7f030037;
-        public static final int sign=0x7f030038;
-        public static final int signer_inside_bdoc_item=0x7f030039;
-        public static final int single_file_browser=0x7f03003a;
-        public static final int title_bar=0x7f03003b;
+        public static final int activity_grid_main=0x7f030013;
+        public static final int activity_img_to_sign_handwritten_signature=0x7f030014;
+        public static final int activity_main=0x7f030015;
+        public static final int activity_pkcs12_to_decrypt=0x7f030016;
+        public static final int activity_select_certificate_to_encrypt=0x7f030017;
+        public static final int activity_select_sign_ubication_handwritten_signature=0x7f030018;
+        public static final int activity_sign_result_handwritten_signature=0x7f030019;
+        public static final int activity_signature_errors=0x7f03001a;
+        public static final int activity_signer_info=0x7f03001b;
+        public static final int activity_verify_result_bdoc=0x7f03001c;
+        public static final int activity_verify_result_pdf=0x7f03001d;
+        public static final int cancel_accept_buttons=0x7f03001e;
+        public static final int cancel_delete_accept_buttons=0x7f03001f;
+        public static final int cert_browser_item=0x7f030020;
+        public static final int cert_chooser=0x7f030021;
+        public static final int cert_item=0x7f030022;
+        public static final int cert_validation=0x7f030023;
+        public static final int certificate_buttons=0x7f030024;
+        public static final int certificate_chooser=0x7f030025;
+        public static final int certificate_not_connected=0x7f030026;
+        public static final int certificate_not_valid=0x7f030027;
+        public static final int certificate_valid=0x7f030028;
+        public static final int certificate_validation_failed=0x7f030029;
+        public static final int certificate_zone=0x7f03002a;
+        public static final int confirmation_item=0x7f03002b;
+        public static final int confirmationlist=0x7f03002c;
+        public static final int document_inside_bdoc_item=0x7f03002d;
+        public static final int error_inside_signature_item=0x7f03002e;
+        public static final int file_to_sign_handwritten_signature_item=0x7f03002f;
+        public static final int file_to_verify_bdoc_signature_item=0x7f030030;
+        public static final int files_to_pdf_sign_item=0x7f030031;
+        public static final int files_to_pkcs7_sign_item=0x7f030032;
+        public static final int grid_menu_item=0x7f030033;
+        public static final int list_item=0x7f030034;
+        public static final int password=0x7f030035;
+        public static final int password_confirmation=0x7f030036;
+        public static final int pkcs12_password=0x7f030037;
+        public static final int progress_dialog=0x7f030038;
+        public static final int recipient_certificate_info=0x7f030039;
+        public static final int sign=0x7f03003a;
+        public static final int signer_inside_bdoc_item=0x7f03003b;
+        public static final int single_file_browser=0x7f03003c;
+        public static final int title_bar=0x7f03003d;
     }
     public static final class menu {
@@ -377,6 +410,8 @@
         public static final int REVOKED_RESULT=0x7f080038;
         public static final int UNKNOWN_RESULT=0x7f080039;
+        public static final int acercade=0x7f0800b0;
         public static final int action_settings=0x7f080001;
         public static final int app_name=0x7f080000;
+        public static final int ayuda=0x7f0800af;
         public static final int back=0x7f080042;
         public static final int certificados=0x7f080068;
@@ -562,4 +597,5 @@
         res/values-v11/styles.xml on API 14+ devices.
     
+ <style name="AppBaseTheme" parent="android:Theme.Light"> 
  API 14 theme customizations can go here. 
 