Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/AboutActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/AboutActivity.java	(revision 73b8c701777e4010efa31a9c62498d491cf17152)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/AboutActivity.java	(revision 73b8c701777e4010efa31a9c62498d491cf17152)
@@ -0,0 +1,85 @@
+package ve.gob.cenditel.tibisaymovil;
+
+import java.io.BufferedInputStream;
+import java.io.File;
+import java.io.InputStream;
+
+import android.net.Uri;
+import android.os.Bundle;
+import android.app.Activity;
+import android.content.Context;
+import android.content.Intent;
+import android.util.Log;
+import android.view.LayoutInflater;
+import android.view.View;
+import android.view.ViewGroup;
+import android.view.Window;
+import android.view.View.OnClickListener;
+import android.webkit.MimeTypeMap;
+import android.widget.AdapterView;
+import android.widget.BaseAdapter;
+import android.widget.ImageView;
+import android.widget.LinearLayout;
+import android.widget.ListView;
+import android.widget.TextView;
+import android.widget.Toast;
+
+import java.security.*;
+import java.security.cert.Certificate;
+import java.security.cert.CertificateFactory;
+import java.io.*;
+import java.lang.reflect.Field;
+
+import com.lowagie.text.pdf.*;
+
+import ee.sk.digidoc.SignedDoc;
+import ee.sk.utils.ConvertUtils;
+
+import java.util.Calendar;
+import java.util.ArrayList;
+import java.util.Random;
+import java.security.cert.X509Certificate;
+import java.text.SimpleDateFormat;
+
+
+
+
+
+
+
+
+public class AboutActivity extends Activity {
+
+	private LinearLayout button_share;
+    private LinearLayout button_finish;
+
+    // ruta absoluta al archivo a verificar
+    private String pdfToVerify;
+	
+	@Override
+	protected void onCreate(Bundle savedInstanceState) {
+		
+		
+		
+		//Estilando la barra de titulo
+		final boolean customTitleSupported = requestWindowFeature(Window.FEATURE_CUSTOM_TITLE);
+		
+		super.onCreate(savedInstanceState);
+		
+		setContentView(R.layout.activity_about);
+		
+		//Estilando Barra de titulo
+		if(customTitleSupported)
+			getWindow().setFeatureInt(Window.FEATURE_CUSTOM_TITLE, R.layout.title_bar);
+		
+	
+		
+		
+	
+    
+    
+	} // fin de onCreate
+	
+	
+	
+}
Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/TibisayMovilActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/TibisayMovilActivity.java	(revision ba6bc7c40d18070a6f9f6d46e946732533917402)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/TibisayMovilActivity.java	(revision 73b8c701777e4010efa31a9c62498d491cf17152)
@@ -1,4 +1,5 @@
 package ve.gob.cenditel.tibisaymovil;
 
+import android.net.Uri;
 import android.os.Build;
 import android.os.Bundle;
@@ -10,4 +11,5 @@
 import android.util.Log;
 import android.view.Menu;
+import android.view.MenuItem;
 import android.view.View;
 import android.view.Window;
@@ -127,6 +129,25 @@
 	public boolean onCreateOptionsMenu(Menu menu) {
 		// Inflate the menu; this adds items to the action bar if it is present.
-		getMenuInflater().inflate(R.menu.main, menu);
-		return true;
+		getMenuInflater().inflate(R.menu.menu, menu);
+		return true; 
+	}
+	
+	@Override
+	public boolean onOptionsItemSelected(MenuItem item) {
+	    switch (item.getItemId()) {
+	        case R.id.MnuAbout:
+	        	Intent intentAbout = new Intent(TibisayMovilActivity.this,AboutActivity.class);
+	        	startActivity(intentAbout);
+	            return true;
+	        case R.id.MnuHelp:
+	        	Intent intent = new Intent();
+	        	intent.setAction(Intent.ACTION_VIEW);
+	        	intent.addCategory(Intent.CATEGORY_BROWSABLE);
+	        	intent.setData(Uri.parse("http://seguridad.cenditel.gob.ve/proyectos/tibisay-movil/ayuda-de-tibisay-movil/"));
+	        	startActivity(intent);
+	            return true;
+	        default:
+	            return super.onOptionsItemSelected(item);
+	    }
 	}
 