Index: TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java
===================================================================
--- TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 824553aa899bd0b2e427e0025bc4063fbdbb638d)
+++ TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 88eadd68851e6dcd7cfe81ae4e8f15adb08470d4)
@@ -107,11 +107,12 @@
     }
     public static final class id {
-        public static final int ImageView01=0x7f0a0055;
-        public static final int action_settings=0x7f0a0056;
+        public static final int ImageView01=0x7f0a0058;
+        public static final int action_settings=0x7f0a0059;
         public static final int archivo_firmado=0x7f0a002f;
         public static final int archivo_firmado_path=0x7f0a0030;
         public static final int archivo_para_firmar=0x7f0a002b;
         public static final int archivo_para_firmar_path=0x7f0a002c;
-        public static final int button=0x7f0a004f;
+        public static final int arrow_show_errors=0x7f0a003f;
+        public static final int button=0x7f0a0055;
         public static final int button_accept=0x7f0a0007;
         public static final int button_accept_text=0x7f0a0008;
@@ -124,36 +125,36 @@
         public static final int button_clear_text=0x7f0a0005;
         public static final int button_clear_zone=0x7f0a0003;
-        public static final int button_delete=0x7f0a0043;
+        public static final int button_delete=0x7f0a0045;
         public static final int button_finish=0x7f0a000a;
         public static final int button_finish_text=0x7f0a000b;
         public static final int button_finish_zone=0x7f0a0009;
-        public static final int button_open=0x7f0a0044;
+        public static final int button_open=0x7f0a0046;
         public static final int button_share=0x7f0a000d;
         public static final int button_share_text=0x7f0a000e;
         public static final int button_share_zone=0x7f0a000c;
-        public static final int cert_chooser=0x7f0a0048;
-        public static final int cert_chooser_install_button=0x7f0a0042;
-        public static final int cert_description=0x7f0a0047;
-        public static final int certificate_issuer=0x7f0a003d;
-        public static final int certificate_serial=0x7f0a0038;
+        public static final int cert_chooser=0x7f0a004a;
+        public static final int cert_chooser_install_button=0x7f0a0044;
+        public static final int cert_description=0x7f0a0049;
+        public static final int certificate_issuer=0x7f0a003e;
+        public static final int certificate_serial=0x7f0a0039;
         public static final int certificate_valid_from=0x7f0a0011;
-        public static final int certificate_valid_until=0x7f0a003b;
-        public static final int change_password=0x7f0a0045;
-        public static final int documents_list=0x7f0a003e;
-        public static final int file_checkbox=0x7f0a004a;
+        public static final int certificate_valid_until=0x7f0a003c;
+        public static final int change_password=0x7f0a0047;
+        public static final int documents_list=0x7f0a0040;
+        public static final int file_checkbox=0x7f0a004c;
         public static final int file_list=0x7f0a0019;
-        public static final int file_radio=0x7f0a004c;
-        public static final int filename_data=0x7f0a0049;
-        public static final int filename_modified=0x7f0a004b;
-        public static final int filename_text=0x7f0a0041;
-        public static final int generalView=0x7f0a0046;
-        public static final int imageListMainMenu=0x7f0a004d;
+        public static final int file_radio=0x7f0a0052;
+        public static final int filename_data=0x7f0a004b;
+        public static final int filename_modified=0x7f0a004d;
+        public static final int filename_text=0x7f0a0043;
+        public static final int generalView=0x7f0a0048;
+        public static final int imageListMainMenu=0x7f0a0053;
         public static final int imagen_utilizada=0x7f0a002d;
         public static final int imagen_utlizada_name=0x7f0a002e;
-        public static final int label_certificate_issuer=0x7f0a003c;
-        public static final int label_certificate_serial=0x7f0a0037;
-        public static final int label_certificate_valid_from=0x7f0a0039;
-        public static final int label_certificate_valid_until=0x7f0a003a;
-        public static final int layoutSignerDetails=0x7f0a0032;
+        public static final int label_certificate_issuer=0x7f0a003d;
+        public static final int label_certificate_serial=0x7f0a0038;
+        public static final int label_certificate_valid_from=0x7f0a003a;
+        public static final int label_certificate_valid_until=0x7f0a003b;
+        public static final int layoutSignatureErrors=0x7f0a0033;
         public static final int linearLayout=0x7f0a0013;
         public static final int linearLayout1=0x7f0a000f;
@@ -161,4 +162,5 @@
         public static final int linearSpacingBottom=0x7f0a0014;
         public static final int linearSpacingTop=0x7f0a0010;
+        public static final int listViewErrors=0x7f0a0032;
         public static final int listViewFunctions=0x7f0a001a;
         public static final int page_container=0x7f0a0029;
@@ -169,15 +171,16 @@
         public static final int sign_description=0x7f0a0016;
         public static final int signature_date=0x7f0a001c;
-        public static final int signatures_list=0x7f0a003f;
-        public static final int signer_data=0x7f0a0052;
-        public static final int signer_detail_cn=0x7f0a0033;
-        public static final int signer_detail_errors=0x7f0a0034;
-        public static final int signer_modified=0x7f0a0054;
-        public static final int signer_text=0x7f0a0053;
+        public static final int signature_errors=0x7f0a0051;
+        public static final int signature_errors_text=0x7f0a0034;
+        public static final int signature_icon=0x7f0a004f;
+        public static final int signatures_list=0x7f0a0041;
+        public static final int signer_data=0x7f0a004e;
+        public static final int signer_detail_errors=0x7f0a0035;
+        public static final int signer_info=0x7f0a0050;
         public static final int tableRow1=0x7f0a001d;
         public static final int tableRow2=0x7f0a0021;
         public static final int tableRow3=0x7f0a0025;
-        public static final int text=0x7f0a0050;
-        public static final int textListMainMenu=0x7f0a004e;
+        public static final int text=0x7f0a0056;
+        public static final int textListMainMenu=0x7f0a0054;
         public static final int textView11=0x7f0a001e;
         public static final int textView12=0x7f0a001f;
@@ -189,9 +192,9 @@
         public static final int textView32=0x7f0a0027;
         public static final int textView33=0x7f0a0028;
-        public static final int the_button=0x7f0a0051;
-        public static final int title_certificate_info=0x7f0a0036;
-        public static final int title_signature_date_info=0x7f0a0035;
-        public static final int title_signer_info=0x7f0a0031;
-        public static final int type_image=0x7f0a0040;
+        public static final int the_button=0x7f0a0057;
+        public static final int title_certificate_info=0x7f0a0037;
+        public static final int title_signature_date_info=0x7f0a0036;
+        public static final int title_signature_errors=0x7f0a0031;
+        public static final int type_image=0x7f0a0042;
     }
     public static final class layout {
@@ -207,23 +210,26 @@
         public static final int activity_select_sign_ubication_handwritten_signature=0x7f030009;
         public static final int activity_sign_result_handwritten_signature=0x7f03000a;
-        public static final int activity_signer_info=0x7f03000b;
-        public static final int activity_verify_result_bdoc=0x7f03000c;
-        public static final int cert_browser_item=0x7f03000d;
-        public static final int certificate_buttons=0x7f03000e;
-        public static final int certificate_chooser=0x7f03000f;
-        public static final int document_inside_bdoc_item=0x7f030010;
-        public static final int file_to_sign_handwritten_signature_item=0x7f030011;
-        public static final int file_to_verify_bdoc_signature_item=0x7f030012;
-        public static final int list_item=0x7f030013;
-        public static final int main=0x7f030014;
-        public static final int progress_dialog=0x7f030015;
-        public static final int signer_inside_bdoc_item=0x7f030016;
-        public static final int single_file_browser=0x7f030017;
-        public static final int title_bar=0x7f030018;
+        public static final int activity_signature_errors=0x7f03000b;
+        public static final int activity_signer_info=0x7f03000c;
+        public static final int activity_verify_result_bdoc=0x7f03000d;
+        public static final int cert_browser_item=0x7f03000e;
+        public static final int certificate_buttons=0x7f03000f;
+        public static final int certificate_chooser=0x7f030010;
+        public static final int document_inside_bdoc_item=0x7f030011;
+        public static final int error_inside_signature_item=0x7f030012;
+        public static final int file_to_sign_handwritten_signature_item=0x7f030013;
+        public static final int file_to_verify_bdoc_signature_item=0x7f030014;
+        public static final int list_item=0x7f030015;
+        public static final int main=0x7f030016;
+        public static final int progress_dialog=0x7f030017;
+        public static final int signer_inside_bdoc_item=0x7f030018;
+        public static final int single_file_browser=0x7f030019;
+        public static final int title_bar=0x7f03001a;
     }
     public static final class menu {
-        public static final int activity_signer_info=0x7f090000;
-        public static final int bdocverify_result=0x7f090001;
-        public static final int main=0x7f090002;
+        public static final int activity_signature_errors=0x7f090000;
+        public static final int activity_signer_info=0x7f090001;
+        public static final int bdocverify_result=0x7f090002;
+        public static final int main=0x7f090003;
     }
     public static final class plurals {
@@ -282,4 +288,5 @@
         public static final int label_certificate_valid_from=0x7f040052;
         public static final int label_certificate_valid_until=0x7f040053;
+        public static final int label_signature_errors=0x7f040055;
         public static final int limpiar=0x7f04003b;
         public static final int limpiar_seleccion=0x7f040035;
@@ -309,4 +316,5 @@
         public static final int signature_directory=0x7f040008;
         public static final int text1=0x7f040004;
+        public static final int title_activity_activity_signature_errors=0x7f040056;
         public static final int title_activity_activity_signer_info=0x7f040050;
         public static final int title_activity_bdocverify_result=0x7f040049;