Index: TibisayMovil/.classpath
===================================================================
--- TibisayMovil/.classpath	(revision 288126d7faf1d05b5222029383542ccbbb4d4a26)
+++ TibisayMovil/.classpath	(revision 292b5601cbfceae7818fbdfdf1996da81d988ecd)
@@ -6,24 +6,26 @@
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="src" path="gen"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/jdigidoc-3.7/jdigidoc/lib/bcmail-jdk15on-147.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/jdigidoc-3.7/jdigidoc/lib/bcpg-jdk15on-147.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/jdigidoc-3.7/jdigidoc/lib/bcpkix-jdk15on-147.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/jdigidoc-3.7/jdigidoc/lib/bcprov-jdk15on-147.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/jdigidoc-3.7/jdigidoc/lib/commons-compress-1.3.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/jdigidoc-3.7/jdigidoc/lib/commons-codec-1.6.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/jdigidoc-3.7/jdigidoc/lib/iaikPkcs11Wrapper.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/jdigidoc-3.7/jdigidoc/lib/jdcerts.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/jdigidoc-3.7/jdigidoc/lib/slf4j-api-1.7.1.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/jdigidoc-3.7/jdigidoc/lib/slf4j-log4j12-1.7.1.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/jdigidoc-3.7/jdigidoc/jdigidoc/target/jdigidoc-3.7.0.459.jar"/>
-	<classpathentry kind="lib" path="/usr/lib/jvm/java-6-sun-1.6.0.26/jre/lib/security/local_policy.jar"/>
-	<classpathentry kind="lib" path="/usr/lib/jvm/java-6-sun-1.6.0.26/jre/lib/security/US_export_policy.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/scpkix-jdk15on-1.47.0.2.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/sc-light-jdk15on-1.47.0.2.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/scprov-jdk15on-1.47.0.2.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jersey-client-1.12.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jersey-core-1.12.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jettison-1.1.jar"/>
-	<classpathentry kind="lib" path="/home/joseruiz/CENDITEL/SEGURIDAD/tibisay.git/dispositivos_moviles/TibisayMovil/libs/jersey-multipart-1.12.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/bcmail-jdk15on-147.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/bcpg-jdk15on-147.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/bcpkix-jdk15on-147.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/bcprov-jdk15on-147.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/commons-compress-1.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/commons-codec-1.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/iaikPkcs11Wrapper.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/jdcerts.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/slf4j-api-1.7.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/lib/slf4j-log4j12-1.7.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/andriod/pruebas/jdigidoc-3.7/jdigidoc/jdigidoc/target/jdigidoc-3.7.0.459.jar"/>
+	<classpathentry exported="true" kind="lib" path="/usr/java/jdk1.7.0_21/jre/lib/security/local_policy.jar"/>
+	<classpathentry exported="true" kind="lib" path="/usr/java/jdk1.7.0_21/jre/lib/security/US_export_policy.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jersey-client-1.12.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jersey-core-1.12.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jersey-json-1.12.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jersey-multipart-1.12.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/jettison-1.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/sc-light-jdk15on-1.47.0.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/scpkix-jdk15on-1.47.0.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="/home/aaraujo/desarrollo/movil/src/dispositivos_moviles/TibisayMovil/libs/scprov-jdk15on-1.47.0.2.jar"/>
+	<classpathentry combineaccessrules="false" kind="src" path="/droidText"/>
 	<classpathentry kind="output" path="bin/classes"/>
 </classpath>