Index: TibisayMovil/res/values/strings.xml
===================================================================
--- TibisayMovil/res/values/strings.xml	(revision fd4a5b990122becaff2b0720b102d4816844f563)
+++ TibisayMovil/res/values/strings.xml	(revision fd4a5b990122becaff2b0720b102d4816844f563)
@@ -26,5 +26,5 @@
     <string name="external_dir_files">FileSigned</string>
     <string name="pathstring">CARPETA</string>
-    <string name="confirmationdescription">Ficheros que se van a firmar</string>
+    <string name="confirmationdescription">Documentos que se van a firmar</string>
     <string name="selectcertificatedescription">Seleccione un certificado para firmar</string>
     <string name="modified">Modificado</string>
@@ -37,5 +37,40 @@
     <string name="preference_position_summary">Lugar donde se colocará la imagen escogida</string>
     <string name="installdescription">Seleccione un certificado a instalar</string>
-
+    <string name="error_unknown">Error: se ha producido un error desconocido</string>
+    <string name="error_empty_or_null_certificates">Almacén de certificados vacío o inexistente. Por favor, retroceda e instale un certificado en un almacén.</string>
+	<string name="no_access_to_keystore">Sin acceso al repositorio de certificados.</string>
+	<string name="error_keystore_file">No existe ningún almacén de certificados. Por favor, retroceda y cree uno.</string>
+    <string name="certificate_data">Información del certificado</string>
+    <string name="pdf_embed_signature">Incrustar firma en el PDF</string>
+    <string name="certificate_not_valid">El certificado no es válido</string>
+    <string name="certificate_valid">El certificado es válido</string>
+    <string name="certificate_validation_failed">Se produjo un error comprobando el certificado</string>
+    <string name="certificate_validation_not_connected">No se puede comprobar el certificado sin conexión</string>
+    <string name="checking_certificate">Comprobando el certificado…</string>
+    <string name="subject">Titular</string>
+    <string name="serial_number">Número de serie</string>
+    <string name="issuer">Emisor</string>
+    <string name="files_to_sign">Documentos que firmará</string>
+    
+    <string name="ERROR_CHAIN_RESULT">No se pudo construir la cadena de confianza del certificado.</string>
+    <string name="GOOD_UNTRUSTED_RESULT">No se pudo comprobar la validez del certificado. Respuesta del servidor errónea.</string>
+    <string name="REVOKED_RESULT">Certificado revocado.</string>
+    <string name="UNKNOWN_RESULT">Certificado desconocido.</string>
+    <string name="EXPIRED">Certificado expirado.</string>
+    <string name="NOTYETVALID">Certificado no válido aún.</string>
+    
+    
+    <string name="unsigned2">Existieron problemas al firmar los archivos:</string>
+    <string name="signedfiles">Documentos firmados:</string>
+    <string name="nosignedfiles">Documento(s) no firmado(s):</string>
+    <string name="no_storage">Cancelado: no se encontró la memoria externa</string>
+    <string name="sign_status">Resultado de la firma</string>
+    <string name="signing_files">Firmando documentos…</string>
+    <string name="back">Volver</string>
+    <string name="share">Enviar</string>
+    <string name="errornoemail">Aplicación de correo no encontrada</string>
+   <string name="errorServerNotReachable">Servidor no disponible</string>
+   <string name="errorConnection">La conexión al servidor ha fallado</string>
+    
     <!-- Visible plurals -->
     <plurals name="number_imported_certificates">
@@ -53,4 +88,5 @@
     <string name="firmar_man_pdf">Firma Manuscrita PDF</string>
     <string name="firmar_man_seleccione_archivo">Seleccione archivo para firmar</string>
+    <string name="firmar_man_seleccione_img">Seleccione imágen de firma</string>
     <string name="firmar_elec_pdf">Firma Electrónica PDF</string>
     <string name="firmar_pkcs7">Firma PKCS7</string>
@@ -80,4 +116,5 @@
     <string name="compartir_b">Compartir</string>
     <string name="certificados">Certificados</string>
+    <string name="preferencias">Preferencias</string>
     <string name="verificar_seleccione_archivo">Seleccione archivo a verificar</string>
     <string name="verificar_titulo_firmae">Firma electrónica:</string>