Index: TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java
===================================================================
--- TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision a8bb2bbd62a519f8aa67a0e6bb2e0f1d6b330a79)
+++ TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 5147e01ef6b57357ac2f55dc1dbe8879268a1a88)
@@ -107,10 +107,11 @@
     }
     public static final class id {
-        public static final int ImageView01=0x7f0a0043;
+        public static final int ImageView01=0x7f0a0048;
+        public static final int action_settings=0x7f0a0049;
         public static final int archivo_firmado=0x7f0a002f;
         public static final int archivo_firmado_path=0x7f0a0030;
         public static final int archivo_para_firmar=0x7f0a002b;
         public static final int archivo_para_firmar_path=0x7f0a002c;
-        public static final int button=0x7f0a0040;
+        public static final int button=0x7f0a0042;
         public static final int button_accept=0x7f0a0007;
         public static final int button_accept_text=0x7f0a0008;
@@ -123,24 +124,25 @@
         public static final int button_clear_text=0x7f0a0005;
         public static final int button_clear_zone=0x7f0a0003;
-        public static final int button_delete=0x7f0a0034;
+        public static final int button_delete=0x7f0a0036;
         public static final int button_finish=0x7f0a000a;
         public static final int button_finish_text=0x7f0a000b;
         public static final int button_finish_zone=0x7f0a0009;
-        public static final int button_open=0x7f0a0035;
+        public static final int button_open=0x7f0a0037;
         public static final int button_share=0x7f0a000d;
         public static final int button_share_text=0x7f0a000e;
         public static final int button_share_zone=0x7f0a000c;
-        public static final int cert_chooser=0x7f0a0039;
-        public static final int cert_chooser_install_button=0x7f0a0033;
-        public static final int cert_description=0x7f0a0038;
-        public static final int change_password=0x7f0a0036;
-        public static final int file_checkbox=0x7f0a003b;
+        public static final int cert_chooser=0x7f0a003b;
+        public static final int cert_chooser_install_button=0x7f0a0035;
+        public static final int cert_description=0x7f0a003a;
+        public static final int change_password=0x7f0a0038;
+        public static final int documents_list=0x7f0a0031;
+        public static final int file_checkbox=0x7f0a003d;
         public static final int file_list=0x7f0a0019;
-        public static final int file_radio=0x7f0a003d;
-        public static final int filename_data=0x7f0a003a;
-        public static final int filename_modified=0x7f0a003c;
-        public static final int filename_text=0x7f0a0032;
-        public static final int generalView=0x7f0a0037;
-        public static final int imageListMainMenu=0x7f0a003e;
+        public static final int file_radio=0x7f0a003f;
+        public static final int filename_data=0x7f0a003c;
+        public static final int filename_modified=0x7f0a003e;
+        public static final int filename_text=0x7f0a0034;
+        public static final int generalView=0x7f0a0039;
+        public static final int imageListMainMenu=0x7f0a0040;
         public static final int imagen_utilizada=0x7f0a002d;
         public static final int imagen_utlizada_name=0x7f0a002e;
@@ -157,9 +159,13 @@
         public static final int sel_sign_rel_layout=0x7f0a001b;
         public static final int sign_description=0x7f0a0016;
+        public static final int signatures_list=0x7f0a0032;
+        public static final int signer_data=0x7f0a0045;
+        public static final int signer_modified=0x7f0a0047;
+        public static final int signer_text=0x7f0a0046;
         public static final int tableRow1=0x7f0a001d;
         public static final int tableRow2=0x7f0a0021;
         public static final int tableRow3=0x7f0a0025;
-        public static final int text=0x7f0a0041;
-        public static final int textListMainMenu=0x7f0a003f;
+        public static final int text=0x7f0a0043;
+        public static final int textListMainMenu=0x7f0a0041;
         public static final int textView1=0x7f0a001c;
         public static final int textView11=0x7f0a001e;
@@ -173,6 +179,6 @@
         public static final int textView32=0x7f0a0027;
         public static final int textView33=0x7f0a0028;
-        public static final int the_button=0x7f0a0042;
-        public static final int type_image=0x7f0a0031;
+        public static final int the_button=0x7f0a0044;
+        public static final int type_image=0x7f0a0033;
     }
     public static final class layout {
@@ -181,21 +187,28 @@
         public static final int actionbar_select_sign_ubication_handwritten_signature=0x7f030002;
         public static final int actionbar_sign_result_handwritten_signature=0x7f030003;
-        public static final int activity_capture_img_handwritten_signature=0x7f030004;
-        public static final int activity_file_to_sign_handwritten_signature=0x7f030005;
-        public static final int activity_main=0x7f030006;
-        public static final int activity_select_sign_ubication_handwritten_signature=0x7f030007;
-        public static final int activity_sign_result_handwritten_signature=0x7f030008;
-        public static final int cert_browser_item=0x7f030009;
-        public static final int certificate_buttons=0x7f03000a;
-        public static final int certificate_chooser=0x7f03000b;
-        public static final int file_to_sign_handwritten_signature_item=0x7f03000c;
-        public static final int list_item=0x7f03000d;
-        public static final int main=0x7f03000e;
-        public static final int progress_dialog=0x7f03000f;
-        public static final int single_file_browser=0x7f030010;
-        public static final int title_bar=0x7f030011;
+        public static final int activity_bdocverify_result=0x7f030004;
+        public static final int activity_capture_img_handwritten_signature=0x7f030005;
+        public static final int activity_file_to_sign_handwritten_signature=0x7f030006;
+        public static final int activity_file_to_verify_bdoc=0x7f030007;
+        public static final int activity_main=0x7f030008;
+        public static final int activity_select_sign_ubication_handwritten_signature=0x7f030009;
+        public static final int activity_sign_result_handwritten_signature=0x7f03000a;
+        public static final int activity_verify_result_bdoc=0x7f03000b;
+        public static final int cert_browser_item=0x7f03000c;
+        public static final int certificate_buttons=0x7f03000d;
+        public static final int certificate_chooser=0x7f03000e;
+        public static final int document_inside_bdoc_item=0x7f03000f;
+        public static final int file_to_sign_handwritten_signature_item=0x7f030010;
+        public static final int file_to_verify_bdoc_signature_item=0x7f030011;
+        public static final int list_item=0x7f030012;
+        public static final int main=0x7f030013;
+        public static final int progress_dialog=0x7f030014;
+        public static final int signer_inside_bdoc_item=0x7f030015;
+        public static final int single_file_browser=0x7f030016;
+        public static final int title_bar=0x7f030017;
     }
     public static final class menu {
-        public static final int main=0x7f090000;
+        public static final int bdocverify_result=0x7f090000;
+        public static final int main=0x7f090001;
     }
     public static final class plurals {
@@ -225,4 +238,5 @@
         public static final int external_dir=0x7f040016;
         public static final int external_dir_files=0x7f040017;
+        public static final int extracted_dir_files=0x7f04004a;
         public static final int finalizar=0x7f04003d;
         public static final int firma_guardada=0x7f040036;
@@ -253,4 +267,5 @@
         public static final int modified=0x7f04001b;
         public static final int num_pagina_firmar=0x7f040037;
+        public static final int open_it_using=0x7f04004b;
         public static final int open_keychain=0x7f04001c;
         public static final int password=0x7f040009;
@@ -271,6 +286,8 @@
         public static final int selectall=0x7f04001d;
         public static final int selectcertificatedescription=0x7f04001a;
+        public static final int share_it_using=0x7f04004c;
         public static final int signature_directory=0x7f040008;
         public static final int text1=0x7f040004;
+        public static final int title_activity_bdocverify_result=0x7f040049;
         public static final int title_progress_file_read=0x7f040039;
         /**  Values for the contentDescription attribute of widgets 
@@ -278,4 +295,8 @@
         public static final int type=0x7f040024;
         public static final int verificar=0x7f04003f;
+        public static final int verificar_seleccione_archivo=0x7f040045;
+        public static final int verificar_titulo_firmae=0x7f040046;
+        public static final int verificar_titulo_lista_docs=0x7f040047;
+        public static final int verificar_titulo_lista_firmantes=0x7f040048;
     }
     public static final class style {