Index: TibisayMovil/res/layout/actionbar_main.xml
===================================================================
--- TibisayMovil/res/layout/actionbar_main.xml	(revision 37467beeb785e07fbb61834ed995522280a570be)
+++ TibisayMovil/res/layout/actionbar_main.xml	(revision 37467beeb785e07fbb61834ed995522280a570be)
@@ -0,0 +1,72 @@
+<?xml version="1.0" encoding="utf-8"?>
+<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
+    android:baselineAligned="false"
+    android:layout_width="match_parent"
+    android:layout_height="wrap_content"
+    
+    android:weightSum="1" 
+    	style="@style/style_actionbar"
+    
+    >
+
+    <LinearLayout
+        android:layout_width="match_parent"
+        android:layout_height="match_parent"
+        android:layout_weight="0.5"
+        android:background="@drawable/background_lower_menu"
+        android:gravity="center_horizontal"
+        android:id="@+id/button_clear_zone"
+        android:orientation="vertical"
+        android:weightSum="1" >
+
+        <ImageView
+            android:id="@+id/button_clear"
+            android:layout_width="wrap_content"
+            android:layout_height="wrap_content"
+            android:gravity="center"
+            android:src="@drawable/ic_limpiar_blanco"
+            android:layout_weight="0.8"
+             />
+        
+        <TextView           
+            android:id="@+id/button_clear_text"
+            android:layout_width="wrap_content"
+            android:layout_height="wrap_content"
+            android:text="Clear"
+            android:textColor="@color/actionbar_text"
+            android:layout_weight="0.2"
+                        android:gravity="center"
+            />
+    </LinearLayout>
+
+    <LinearLayout
+        android:layout_width="match_parent"
+        android:layout_height="match_parent"
+        android:layout_weight="0.5"
+        android:background="@drawable/background_lower_menu"
+        android:gravity="center_horizontal"
+        android:id="@+id/button_accept_zone"
+        android:orientation="vertical" 
+         android:weightSum="1" >
+
+        <ImageView
+            android:id="@+id/button_accept"
+            android:layout_width="wrap_content"
+            android:layout_height="wrap_content"
+            android:enabled="false"
+            android:gravity="center"
+            android:src="@drawable/ic_limpiar_blanco"
+             android:layout_weight="0.8"
+             />
+        <TextView           
+            android:id="@+id/button_accept_text"
+            android:layout_width="wrap_content"
+            android:layout_height="wrap_content"
+            android:text="tabsign"
+                        android:gravity="center"
+            
+            android:textColor="@color/actionbar_text"
+             android:layout_weight="0.2"/>
+    </LinearLayout>
+
+</LinearLayout>
Index: TibisayMovil/res/layout/activity_file_to_sign_handwritten_signature.xml
===================================================================
--- TibisayMovil/res/layout/activity_file_to_sign_handwritten_signature.xml	(revision 37467beeb785e07fbb61834ed995522280a570be)
+++ TibisayMovil/res/layout/activity_file_to_sign_handwritten_signature.xml	(revision 37467beeb785e07fbb61834ed995522280a570be)
@@ -0,0 +1,67 @@
+<?xml version="1.0" encoding="utf-8"?>
+<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
+    android:layout_width="match_parent"
+    android:layout_height="match_parent"
+    android:orientation="vertical" >
+ 
+    
+    
+    <TextView
+        android:id="@+id/sign_description"
+        style="@style/style_description"
+        android:layout_width="fill_parent"
+        android:layout_height="wrap_content"
+        android:text="descripcion" />
+    
+    
+    <LinearLayout
+        android:layout_width="match_parent"
+        android:layout_height="wrap_content"
+        android:paddingLeft="5dp"
+        android:orientation="horizontal"
+        android:background="#d7d2cb" >
+    <TextView
+        android:id="@+id/pathstring"
+        android:layout_width="wrap_content"
+        android:layout_height="wrap_content" 
+        style="@style/style_font_section"
+        />
+       <TextView
+        android:id="@+id/path"
+        android:layout_width="wrap_content"
+        android:layout_height="wrap_content" 
+        style="@style/style_font_section"
+        />
+    
+    </LinearLayout>
+
+    <LinearLayout
+        android:layout_width="match_parent"
+        android:layout_height="0dp"
+        android:layout_weight="0.40" >
+
+        <ListView
+            android:id="@+id/file_list"
+            android:layout_width="match_parent"
+            android:layout_height="match_parent"
+            android:choiceMode="multipleChoice"
+  	 		style="@style/style_listviews"
+				  />         
+
+ 
+            
+    </LinearLayout>
+  
+   <LinearLayout 
+       
+        android:layout_width="match_parent"
+        android:layout_height="3dp"
+        android:background="#777777"></LinearLayout>
+  
+    <include
+        android:id="@+id/button_bar"
+        android:layout_width="match_parent"
+        android:layout_height="wrap_content"
+        layout="@layout/actionbar_main" />
+
+</LinearLayout>
Index: TibisayMovil/res/layout/file_browser_item.xml
===================================================================
--- TibisayMovil/res/layout/file_browser_item.xml	(revision 37467beeb785e07fbb61834ed995522280a570be)
+++ TibisayMovil/res/layout/file_browser_item.xml	(revision 37467beeb785e07fbb61834ed995522280a570be)
@@ -0,0 +1,54 @@
+<?xml version="1.0" encoding="utf-8"?>
+<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
+    android:layout_width="match_parent"
+    android:layout_height="match_parent"
+    android:background="@drawable/background_item"
+    android:gravity="center_vertical"
+    android:maxHeight="50dp"
+    android:minHeight="50dp"
+    android:orientation="horizontal" >
+
+    <ImageView
+        android:id="@+id/type_image"
+        android:layout_width="35dp"
+        android:layout_height="wrap_content"
+        android:layout_alignParentLeft="true"
+        android:layout_centerVertical="true"
+        
+        android:contentDescription="@string/type"
+         />
+
+    <LinearLayout
+        android:id="@+id/filename_data"
+        android:layout_width="wrap_content"
+        android:layout_height="fill_parent"
+        android:layout_centerVertical="true"
+        android:layout_toLeftOf="@+id/file_checkbox"
+        android:layout_toRightOf="@+id/type_image"
+        android:orientation="vertical" >
+
+        <TextView
+            android:id="@+id/filename_text"
+            style="@style/style_font_files"
+            android:layout_width="fill_parent"
+            android:layout_height="wrap_content" />
+
+        <TextView
+            android:id="@+id/filename_modified"
+            style="@style/style_font_date"
+            android:layout_width="fill_parent"
+            android:layout_height="wrap_content" />
+    </LinearLayout>
+
+    <CheckBox
+        android:id="@+id/file_checkbox"
+        android:layout_width="wrap_content"
+        android:layout_height="fill_parent"
+        android:layout_alignParentRight="true"
+        android:layout_centerVertical="true"
+        android:layout_marginRight="10dp"
+        android:clickable="false"
+        android:focusable="false"
+        android:gravity="center" />
+
+</RelativeLayout>
Index: TibisayMovil/res/layout/list_item.xml
===================================================================
--- TibisayMovil/res/layout/list_item.xml	(revision 08c45bdcd8256a01d2abbe8cc4018c0fb07b8d46)
+++ TibisayMovil/res/layout/list_item.xml	(revision 37467beeb785e07fbb61834ed995522280a570be)
@@ -10,5 +10,6 @@
         android:layout_width="wrap_content"
         android:layout_height="wrap_content"
-        android:src="@drawable/ic_launcher" />
+        android:src="@drawable/ic_launcher"
+        android:contentDescription="@string/type" />
 
     <TextView
@@ -16,5 +17,4 @@
         android:layout_width="wrap_content"
         android:layout_height="wrap_content"
-        android:text="TextView" />
-
+        android:text="" />
 </LinearLayout>
Index: TibisayMovil/res/layout/title_bar.xml
===================================================================
--- TibisayMovil/res/layout/title_bar.xml	(revision 08c45bdcd8256a01d2abbe8cc4018c0fb07b8d46)
+++ TibisayMovil/res/layout/title_bar.xml	(revision 37467beeb785e07fbb61834ed995522280a570be)
@@ -7,5 +7,6 @@
 <ImageView android:id="@+id/ImageView01"
             android:background="@drawable/icon_title_bar"
-            android:layout_width="164px"
-            android:layout_height="20px"/>
+            android:layout_width="wrap_content"
+            android:layout_height="wrap_content"
+            android:contentDescription="@string/type"/>
 </LinearLayout>