Index: TibisayMovil/res/layout/activity_sign_result_handwritten_signature.xml
===================================================================
--- TibisayMovil/res/layout/activity_sign_result_handwritten_signature.xml	(revision ca6582b26f61ab47010136d710dc023c772a54d6)
+++ TibisayMovil/res/layout/activity_sign_result_handwritten_signature.xml	(revision 67541a6192a2957d55646750cd75b2d72d147401)
@@ -54,5 +54,22 @@
         android:background="@drawable/bg_path_file_to_sign"
         android:text="@string/firmar_man_arch_firm" />
-    <TextView
+    
+
+    <LinearLayout
+        android:id="@+id/layout_decrypted_file_and_arrow"
+        android:layout_width="match_parent"
+        android:layout_height="wrap_content"
+        >
+
+        <ImageView
+        android:id="@+id/type_image"
+        android:layout_width="35dp"
+        android:layout_height="wrap_content"
+        android:layout_alignParentLeft="true"
+        android:layout_centerVertical="true"
+        android:contentDescription="@string/type"
+        android:src="@drawable/ic_archivo" />
+        
+    	<TextView
         android:id="@+id/destinatario"
         android:layout_width="wrap_content"
@@ -62,4 +79,14 @@
         android:layout_marginRight="5dp"
         android:text="" />
+        	
+    
+    	<ImageView
+            android:id="@+id/arrow_show_errors"
+            android:layout_width="wrap_content"
+            android:layout_height="wrap_content"
+            android:layout_gravity="right"
+            android:src="@drawable/flecha_siguiente" />
+    
+    </LinearLayout>
     
     <LinearLayout
Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/FileToSignHandwrittenSignatureActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/FileToSignHandwrittenSignatureActivity.java	(revision 288126d7faf1d05b5222029383542ccbbb4d4a26)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/FileToSignHandwrittenSignatureActivity.java	(revision 67541a6192a2957d55646750cd75b2d72d147401)
@@ -2,16 +2,27 @@
 
 import java.io.File;
+import java.io.FileInputStream;
+import java.io.InputStream;
 import java.text.SimpleDateFormat;
 import java.util.ArrayList;
 import java.util.Collections;
 import java.util.Date;
+
+import javax.ws.rs.core.MediaType;
+
+import com.sun.jersey.multipart.file.DefaultMediaTypePredictor;
+
 import ve.gob.cenditel.tibisaymovil.R;
 import android.app.Activity;
 import android.app.AlertDialog;
+import android.content.Context;
+import android.content.ContextWrapper;
 import android.content.DialogInterface;
 import android.content.Intent;
+import android.content.SharedPreferences;
 import android.graphics.drawable.Drawable;
 import android.net.Uri;
 import android.os.Bundle;
+import android.preference.PreferenceManager;
 import android.util.Log;
 import android.view.LayoutInflater;
@@ -39,4 +50,5 @@
     private FileListAdapter listAdapter;
     private String filterMImeType = "application/pdf";
+    
 
 	@Override
@@ -79,4 +91,6 @@
 		if(customTitleSupported)
 			getWindow().setFeatureInt(Window.FEATURE_CUSTOM_TITLE, R.layout.title_bar);
+		
+		
 	}
 
@@ -411,5 +425,17 @@
 	//Crea dialogo de opciones para seleccion de imagen de firma
 	public AlertDialog selectImageOptionsDialog() {
-		final String[] option = new String[] {getString(R.string.firmar_man_capt_img), getString(R.string.firmar_man_exist_img), getString(R.string.firmar_man_prefer_img) };
+		
+		SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(getBaseContext());
+        
+        final String imagePath = prefs.getString(PreferencesActivity.imageKey, "");
+        final String[] option;
+        //----
+        if (imagePath.equals("")) {
+        	option = new String[] {getString(R.string.firmar_man_capt_img), getString(R.string.firmar_man_exist_img)};
+        }
+        else {
+        	option = new String[] {getString(R.string.firmar_man_capt_img), getString(R.string.firmar_man_exist_img), getString(R.string.firmar_man_prefer_img) };
+        }
+
 		ArrayAdapter<String> adapter = new ArrayAdapter<String>(this,
 		        android.R.layout.select_dialog_item, option);
@@ -436,4 +462,8 @@
 				break;
 			case 2: // Usar predeterminada
+				Intent intent2 = new Intent(FileToSignHandwrittenSignatureActivity.this, SelectSignUbicationHandwrittenSignatureActivity.class);
+	            intent2.putExtra("FILE_TO_SIGN", FileToSignHandwrittenSignatureActivity.this.selected.getAbsolutePath());
+	            intent2.putExtra("IMAGE_CAPTURED", imagePath);
+	            startActivity(intent2);
 				
 				break;
Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/SignResultHandwrittenSignatureActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/SignResultHandwrittenSignatureActivity.java	(revision ca6582b26f61ab47010136d710dc023c772a54d6)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/SignResultHandwrittenSignatureActivity.java	(revision 67541a6192a2957d55646750cd75b2d72d147401)
@@ -12,4 +12,5 @@
 import android.view.View.OnClickListener;
 import android.view.Window;
+import android.webkit.MimeTypeMap;
 import android.widget.LinearLayout;
 import android.widget.TextView;
@@ -76,4 +77,30 @@
             }
         });
+        
+        
+        LinearLayout layoutDecryptedFileAndArror = (LinearLayout) this.findViewById(R.id.layout_decrypted_file_and_arrow);
+        
+        OnClickListener decryptedFileListener = new OnClickListener() {
+            public void onClick(View v) {
+              // do something when the button is clicked
+            	//Toast.makeText(getApplicationContext(), "**CLICK SOBRE EL TEXTVIEW***", Toast.LENGTH_LONG).show();
+            	
+            	openIt(pathFileSigned+fileSigned, getMimeType(pathFileSigned+fileSigned));
+            }
+        };
+        layoutDecryptedFileAndArror.setOnClickListener(decryptedFileListener);
+	}
+
+
+	// funcion para lanzar un intent que abra un archivo
+    private void openIt(String decryptedFile, String mimeType) {
+		
+		Intent shareIntent = new Intent();
+		shareIntent.setAction(Intent.ACTION_VIEW);
+		File file = new File(decryptedFile);
+		Uri uri = Uri.fromFile(file);
+		Log.i("DEBUG", file.getPath());
+		shareIntent.setDataAndType(uri, mimeType);		
+		startActivity(Intent.createChooser(shareIntent, getResources().getText(R.string.open_it_using)));
 	}
 	
@@ -90,3 +117,12 @@
 		startActivity(Intent.createChooser(shareIntent, "Compartir pdf usando"));
 	}
+	
+    // funcion para obtener el tipo mime de un archivo
+    public static String getMimeType(String url)
+    {
+        String extension = url.substring(url.lastIndexOf("."));
+        String mimeTypeMap = MimeTypeMap.getFileExtensionFromUrl(extension);
+        String mimeType = MimeTypeMap.getSingleton().getMimeTypeFromExtension(mimeTypeMap);
+        return mimeType;
+    }
 }